(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[     59212,       1386]
NotebookOptionsPosition[     57249,       1347]
NotebookOutlinePosition[     57703,       1365]
CellTagsIndexPosition[     57660,       1362]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "present", " ", "Wolfram", " ", "Mathematica", " ", "script",
       " ", "computes", " ", "the", " ", "third"}], "-", 
     RowBox[{
     "order", " ", "asymptotic", " ", "expansion", " ", "of", " ", "the", " ",
       "convective", " ", "term"}]}], ",", " ", 
    RowBox[{"u", "*", "grad", 
     RowBox[{"(", "u", ")"}]}], ",", " ", 
    RowBox[{
     RowBox[{"appearing", " ", "in", " ", "the", " ", "Navier"}], "-", 
     RowBox[{"Stokes", " ", "Eqs"}]}]}], " ", "*)"}], "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "script", " ", "must", " ", "be", " ", "run", " ", "in", " ", 
    "the", " ", "environment", " ", "Wolfram", " ", "Mathematica"}], " ", 
   "*)"}], " ", "\n", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Here", " ", "the", " ", "first", " ", "order", " ", "velocity"}], "-", 
     RowBox[{"field", " ", "is", " ", 
      RowBox[{"defined", ".", " ", "It"}], " ", "is", " ", "made", " ", "of", 
      " ", "two", " ", "counter"}], "-", 
     RowBox[{
     "rotating", " ", "waves", " ", "characterized", " ", "by", " ", "an", 
      " ", "oscillation", " ", "frequency", " ", "\"\<w\>\"", " ", "and", " ",
       "by", " ", "an", " ", "azimuthal", " ", "wavenumber", " ", 
      RowBox[{"\"\<m1\>\"", ".", " ", "\n", "   ", "The"}], " ", "radial"}]}],
     ",", " ", 
    RowBox[{
    "azimuthal", " ", "and", " ", "axial", " ", "components", " ", "are", " ",
      "denoted", " ", "by", " ", "\"\<r\>\""}], ",", " ", 
    RowBox[{"\"\<phi\>\"", " ", "and", " ", "\"\<z\>\""}], ",", " ", 
    RowBox[{
     RowBox[{"respectively", ".", " ", "The"}], " ", "following", " ", 
     "notation", " ", "is", " ", 
     RowBox[{"used", ":", " ", 
      RowBox[{"\"\<mp\>\"", " ", 
       RowBox[{"(", 
        RowBox[{"or", " ", "\"\<p\>\""}], ")"}], " ", "indicates", " ", "the",
        " ", "wave", " ", "with", " ", "\"\<+m1\>\""}]}]}], ",", " ", 
    RowBox[{"whereas", " ", "\"\<mm\>\"", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "\"\<m\>\""}], ")"}], " ", "denotes", " ", "the", 
     " ", "wave", " ", "with", " ", 
     RowBox[{"\"\<-m1\>\"", ".", " ", "\n", "   ", "\"\<d\>\""}], " ", 
     "stands", " ", "for", " ", "direct", " ", "contribution"}], ",", " ", 
    RowBox[{
    "while", " ", "\"\<c\>\"", " ", "means", " ", "the", " ", "complex", " ", 
     
     RowBox[{"conjugate", ".", " ", "The"}], " ", "variable", " ", "time"}], 
    ",", " ", "\"\<t\>\"", ",", " ", 
    RowBox[{
     RowBox[{
     "is", " ", "kept", " ", "explicit", " ", "as", " ", "no", " ", "time"}], 
     "-", 
     RowBox[{"derivatives", " ", "are", " ", "involved"}]}]}], " ", "*)"}], 
  "\n", "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"ur1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"ur1dmp", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Apc", "*", 
      RowBox[{"ur1cmp", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Amd", "*", 
      RowBox[{"ur1dmm", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Amc", "*", 
      RowBox[{"ur1cmm", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"uphi1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"uphi1dmp", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Apc", "*", 
      RowBox[{"uphi1cmp", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Amd", "*", 
      RowBox[{"uphi1dmm", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Amc", "*", 
      RowBox[{"uphi1cmm", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"uz1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"uz1dmp", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Apc", "*", 
      RowBox[{"uz1cmp", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Amd", "*", 
      RowBox[{"uz1dmm", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], " ", "+", " ", 
     RowBox[{"Amc", "*", 
      RowBox[{"uz1cmm", "[", 
       RowBox[{"r", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "Asymptotic", " ", "expansions", " ", "up", " ", "to", " ", "the", " ", 
       "third", " ", "order", " ", "in", " ", 
       RowBox[{"epsilon", ".", " ", "Note"}], " ", "that", " ", "the", " ", 
       "zero"}], "-", 
      RowBox[{"order", " ", "is", " ", "not", " ", "written"}]}], ",", " ", 
     RowBox[{
      RowBox[{"as", " ", "the", " ", "base"}], "-", 
      RowBox[{
      "flow", " ", "velocity", " ", "is", " ", "null", " ", "everywhere", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"static", " ", "configuration"}], ",", " ", 
         RowBox[{"fluid", " ", "at", " ", "rest"}]}], ")"}]}]}]}], " ", 
    "*)"}], "\n", 
   RowBox[{
    RowBox[{"ur", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"eps", "*", 
      RowBox[{"ur1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"ur2", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"ur3", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"uphi", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"eps", "*", 
      RowBox[{"uphi1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"uphi2", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"uphi3", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"uz", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"eps", "*", 
      RowBox[{"uz1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"uz2", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"uz3", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Convective", " ", "term"}], " ", "-", " ", 
     RowBox[{"Momentum", " ", "equation"}], " ", "-", " ", 
     RowBox[{"RADIAL", " ", "component"}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"D1urDr1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"r", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"D1urDphi1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"phi", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"D1urDz1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"z", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", "\n", 
   RowBox[{
    RowBox[{"UGradUradial", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1urDr1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "r"}], ")"}], "*", 
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1urDphi1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "r"}], ")"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"uphi", "[", 
         RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ")"}], "^", 
       "2"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1urDz1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], " ", "\n", 
   "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Convective", " ", "term"}], " ", "-", " ", 
     RowBox[{"Momentum", " ", "equation"}], " ", "-", " ", 
     RowBox[{"AZIMUTHAL", " ", "component"}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"D1uphiDr1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"r", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"D1uphiDphi1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"phi", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"D1uphiDz1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"z", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthal", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1uphiDr1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "r"}], ")"}], "*", 
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1uphiDphi1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "r"}], ")"}], "*", 
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1uphiDz1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], " ", "\n", 
   "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Convective", " ", "term"}], " ", "-", " ", 
     RowBox[{"Momentum", " ", "equation"}], " ", "-", " ", 
     RowBox[{"AXIAL", " ", "component"}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"D1uzDr1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"r", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"D1uzDphi1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"phi", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"D1uzDz1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"z", ",", " ", "1"}], "}"}]}], "]"}]}], "\n", "\n", 
   RowBox[{
    RowBox[{"UGradUaxial", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1uzDr1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "r"}], ")"}], "*", 
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1uzDphi1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "+", " ", 
     
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "*", 
      RowBox[{"D1uzDz1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], " ", "\n", 
   "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
    "The", " ", "convective", " ", "terms", " ", "are", " ", "expanded", " ", 
     "in", " ", "serie", " ", "of", " ", "epsilon"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"UGradUradial", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"eps", ",", " ", "0", ",", " ", "3"}], "}"}]}], "]"}]}], "\n", 
   
   RowBox[{
    RowBox[{"UGradUazimuthalEPS", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"UGradUazimuthal", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"eps", ",", " ", "0", ",", " ", "3"}], "}"}]}], "]"}]}], "\n", 
   
   RowBox[{
    RowBox[{"UGradUaxialEPS", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"UGradUaxial", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"eps", ",", " ", "0", ",", " ", "3"}], "}"}]}], "]"}]}], "\n", 
   "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "various", " ", "orders", " ", "in", " ", "epsilon", " ", 
      "are", " ", "identified"}], ",", " ", 
     RowBox[{"eps", "^", "1"}], ",", " ", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], " ", "and", " ", 
      RowBox[{"eps", "^", "3"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUradialEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       "eps"}], "]"}], " ", "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS2", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUradialEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"eps", "^", "2"}]}], "]"}], " ", "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS3", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUradialEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"eps", "^", "3"}]}], "]"}], " ", "]"}]}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"CHECK", ":", " ", 
      RowBox[{
       RowBox[{"the", " ", "zero"}], "-", 
       RowBox[{
       "order", " ", "is", " ", "computed", " ", "as", " ", "the", " ", 
        "difference", " ", "between", " ", "the", " ", "total", " ", 
        "expression", " ", "and", " ", "the", " ", "first"}]}]}], ",", " ", 
     RowBox[{
     "second", " ", "and", " ", "third", " ", "order", " ", "terms"}]}], " ", 
    "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS0", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"UGradUradialEPS", "[", 
      RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], " ", "-", " ", 
     RowBox[{"eps", "*", 
      RowBox[{"UGradUradialEPS1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"UGradUradialEPS2", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"UGradUradialEPS3", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Same", " ", "for", " ", "the", " ", "azimuthal", " ", "component"}], " ",
     "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUazimuthalEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       "eps"}], "]"}], " ", "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS2", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUazimuthalEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"eps", "^", "2"}]}], "]"}], " ", "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS3", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUazimuthalEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"eps", "^", "3"}]}], "]"}], " ", "]"}]}], "\n", "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS0", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"UGradUazimuthalEPS", "[", 
      RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], " ", "-", " ", 
     RowBox[{"eps", "*", 
      RowBox[{"UGradUazimuthalEPS1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"UGradUazimuthalEPS2", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"UGradUazimuthalEPS3", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"Same", " ", "for", " ", "the", " ", "axial", " ", "component"}], 
    " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUaxialEPS1", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUaxialEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       "eps"}], "]"}], " ", "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUaxialEPS2", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUaxialEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"eps", "^", "2"}]}], "]"}], " ", "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUaxialEPS3", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUaxialEPS", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"eps", "^", "3"}]}], "]"}], " ", "]"}]}], "\n", "\n", 
   RowBox[{
    RowBox[{"UGradUaxialEPS0", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{
     RowBox[{"UGradUaxialEPS", "[", 
      RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], " ", "-", " ", 
     RowBox[{"eps", "*", 
      RowBox[{"UGradUaxialEPS1", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"UGradUaxialEPS2", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}], " ", "-", " ", 
     
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"UGradUaxialEPS3", "[", 
       RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}]}]}]}], "\n", "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
", "*)"}], "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
", "*)"}], "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
", "*)"}], "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
", "*)"}], "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
", "*)"}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"As", " ", "an", " ", "illustrative", " ", "example"}], ",", " ", 
     RowBox[{
     "based", " ", "on", " ", "the", " ", "first", " ", "order", " ", 
      "solution", " ", "listed", " ", "above"}], ",", " ", 
     RowBox[{
     "we", " ", "explicitely", " ", "extract", " ", "two", " ", "of", " ", 
      "the", " ", "second", " ", "order", " ", "forcing", " ", "terms"}], ",",
      " ", 
     RowBox[{
      RowBox[{
      "namely", " ", "those", " ", "corresponding", " ", "to", " ", "the", 
       " ", "second"}], "-", 
      RowBox[{"harmonic", " ", "and", " ", "mean"}], "-", 
      RowBox[{
      "flow", " ", "correction", " ", "\n", "   ", "associated", " ", "with", 
       " ", "the", " ", "wave", " ", "with", " ", "azimuthal", " ", 
       "wavenumber", " ", "\"\<+m1\>\""}]}]}], " ", "*)"}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Extraction", " ", "of", " ", "second", " ", "order", " ", "term", " ", 
      RowBox[{"(", 
       RowBox[{"eps", "^", "2"}], ")"}]}], ":", " ", 
     RowBox[{
      RowBox[{"second", "-", 
       RowBox[{"harmonic", " ", "of", " ", "the"}], " ", "+", 
       RowBox[{"m1", " ", 
        RowBox[{"wave", " ", "--"}]}]}], ">", " ", 
      RowBox[{"exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "w", "*", "t"}], ")"}], "*", "exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "m", "*", "phi"}], ")"}], "*", "Adp", "*", 
       "Adp"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS2ApdApd", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"UGradUradialEPS2", "[", 
              RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
             
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}]}], "]"}], 
           "]"}], ",", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "]"}], 
        "]"}], ",", " ", 
       RowBox[{"Apd", "*", "Apd"}]}], "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS2ApdApd", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"UGradUazimuthalEPS2", "[", 
              RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
             
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}]}], "]"}], 
           "]"}], ",", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "]"}], 
        "]"}], ",", " ", 
       RowBox[{"Apd", "*", "Apd"}]}], "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUaxialEPS2ApdApd", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"UGradUaxialEPS2", "[", 
              RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
             
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}]}], "]"}], 
           "]"}], ",", " ", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "]"}], 
        "]"}], ",", " ", 
       RowBox[{"Apd", "*", "Apd"}]}], "]"}], "]"}]}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Extraction", " ", "of", " ", "second", " ", "order", " ", "term", " ", 
      RowBox[{"(", 
       RowBox[{"eps", "^", "2"}], ")"}]}], ":", " ", 
     RowBox[{
      RowBox[{"mean", "-", 
       RowBox[{
       "flow", " ", "correction", " ", "associated", " ", "with", " ", 
        "the"}], " ", "+", 
       RowBox[{"m1", " ", 
        RowBox[{"wave", " ", "--"}]}]}], ">", " ", 
      RowBox[{"exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "0", "*", "t"}], ")"}], "*", "exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "0", "*", "phi"}], ")"}], "*", "Adp", "*", 
       "Acp"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"UGradUradialEPS2ApdApc", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUradialEPS2", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"Apd", "*", "Apc"}]}], "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS2ApdApc", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUazimuthalEPS2", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"Apd", "*", "Apc"}]}], "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"UGradUaxialEPS2ApdApc", "[", 
     RowBox[{"r_", ",", " ", "phi_", ",", " ", "z_"}], "]"}], " ", ":=", " ", 
    
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"UGradUaxialEPS2", "[", 
        RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], ",", " ", 
       RowBox[{"Apd", "*", "Apc"}]}], "]"}], "]"}]}], "\n", "\n", "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%", "*)"}], "\n", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%", "*)"}], "\n"}]}]], "Code",
 CellChangeTimes->{{3.806227506565055*^9, 3.8062275260675592`*^9}, {
   3.806227570760705*^9, 3.806227744008484*^9}, 3.806227823529787*^9, {
   3.8062279370348797`*^9, 3.806228063828773*^9}, {3.8062282591273527`*^9, 
   3.806228309383892*^9}, {3.806228366999776*^9, 3.806228425895129*^9}, {
   3.806228508823031*^9, 3.806228571751548*^9}, {3.806229390132689*^9, 
   3.806229393470305*^9}, {3.806229428471073*^9, 3.806229436642158*^9}, {
   3.8062297014603157`*^9, 3.8062297135939713`*^9}, {3.806229744856143*^9, 
   3.806229789995015*^9}, {3.8062298203747807`*^9, 3.806229890194948*^9}, {
   3.8062300036829042`*^9, 3.8062300700799303`*^9}, {3.806230112969293*^9, 
   3.806230206179309*^9}, {3.8062303262406683`*^9, 3.806230426557612*^9}, {
   3.8062304684236298`*^9, 3.806230505363082*^9}, {3.80623059244413*^9, 
   3.806230638756394*^9}, {3.8062310649319143`*^9, 3.80623118678513*^9}, {
   3.806231216955224*^9, 3.806231484038529*^9}, {3.8062315316581163`*^9, 
   3.806231564940296*^9}, {3.806231605249653*^9, 3.806231652695533*^9}, 
   3.806231726230287*^9, {3.8062317734632797`*^9, 3.806231783463709*^9}, {
   3.806231890957713*^9, 3.80623201370717*^9}, {3.806329280706168*^9, 
   3.806329360927421*^9}, {3.8063294304882393`*^9, 3.806329491665361*^9}, {
   3.806329530626648*^9, 3.806329535621139*^9}, {3.806329573474337*^9, 
   3.806329601228159*^9}, {3.806329665718793*^9, 3.8063298200016003`*^9}, {
   3.806329861003414*^9, 3.806329950378663*^9}, {3.806330020843253*^9, 
   3.806330455677145*^9}, {3.806330601552517*^9, 3.8063306574445143`*^9}, {
   3.806330695553845*^9, 3.806330786665391*^9}, {3.8063322901536703`*^9, 
   3.806332332763047*^9}, {3.8063323841058083`*^9, 3.806332575169445*^9}, {
   3.806332620979154*^9, 3.8063327184523897`*^9}, {3.80633275684243*^9, 
   3.806332814824355*^9}, {3.806332877215796*^9, 3.80633319971271*^9}, {
   3.806333281835828*^9, 3.80633328761043*^9}, {3.806333382025675*^9, 
   3.806333445793886*^9}, {3.806333478851325*^9, 3.806333479907625*^9}, {
   3.807942990526738*^9, 3.807942994330484*^9}, {3.807943069846512*^9, 
   3.807943117377617*^9}, {3.807943156968486*^9, 3.80794318653118*^9}, {
   3.8079432321564837`*^9, 3.80794326274851*^9}, {3.8079433084510517`*^9, 
   3.807943381969389*^9}, {3.807943835703546*^9, 3.8079438821008453`*^9}, {
   3.807943966917437*^9, 3.807944175234219*^9}, {3.8079443295858717`*^9, 
   3.8079443710618668`*^9}, {3.8079449744332657`*^9, 3.807945071121976*^9}, {
   3.807945101177504*^9, 3.807945179518476*^9}, {3.807945299896298*^9, 
   3.807945311546834*^9}, {3.807945369526925*^9, 3.807945446568214*^9}, {
   3.807945614500144*^9, 3.807945647856124*^9}, {3.807950535203534*^9, 
   3.807950579947089*^9}, {3.80795063918119*^9, 3.807950643602666*^9}, {
   3.807950763841413*^9, 3.8079508108667917`*^9}, {3.807950855578928*^9, 
   3.807950973560058*^9}, {3.807951010955139*^9, 3.807951133861631*^9}, {
   3.807951191447144*^9, 3.807951270662311*^9}, {3.8079513422335052`*^9, 
   3.807951432878066*^9}, {3.8079514735658693`*^9, 3.807951476367016*^9}, {
   3.807951566825965*^9, 3.807951568419464*^9}, {3.807951601168859*^9, 
   3.8079517373334007`*^9}, {3.807951860719043*^9, 3.8079520577456703`*^9}, {
   3.807952096692412*^9, 3.807952185703553*^9}, {3.807952249306876*^9, 
   3.807952487874256*^9}, 3.8079527146816273`*^9, {3.807957334890965*^9, 
   3.807957361018436*^9}, {3.8079575413380547`*^9, 3.807957701139391*^9}, 
   3.8079577480958767`*^9, {3.807957871120322*^9, 3.807957887172243*^9}, {
   3.807958118762163*^9, 3.80795816274137*^9}, {3.80804171334979*^9, 
   3.808041815129998*^9}, {3.808042040076436*^9, 3.808042071612069*^9}, {
   3.808042119506755*^9, 3.8080421410413303`*^9}, {3.8080421959768143`*^9, 
   3.808042312502554*^9}, {3.808042426820073*^9, 3.808042831514683*^9}, {
   3.8080428860717087`*^9, 3.808043028557951*^9}, {3.808112362576684*^9, 
   3.808112419084197*^9}, 3.808112536398164*^9, 3.808112569887827*^9, 
   3.808112600834489*^9, {3.808112679521195*^9, 3.808112687466434*^9}, {
   3.808112873448757*^9, 3.808112878682679*^9}, {3.8081129095036373`*^9, 
   3.808112911471743*^9}, {3.80811336006739*^9, 3.80811336992507*^9}, {
   3.8081405855128736`*^9, 3.808140586709414*^9}, {3.827402741037074*^9, 
   3.827402807122517*^9}, {3.827402844342011*^9, 3.8274029520398693`*^9}, {
   3.827404071446623*^9, 3.827404073237462*^9}, {3.8274894914760637`*^9, 
   3.8274897666399603`*^9}, {3.8274898240824842`*^9, 3.827489948912669*^9}, {
   3.827489991117592*^9, 3.827490020758304*^9}, {3.827490088859558*^9, 
   3.827490131895379*^9}, {3.827490295957385*^9, 3.827490297887041*^9}, {
   3.8318372794979343`*^9, 3.831837281935356*^9}, {3.844848862427636*^9, 
   3.844849017259933*^9}, {3.844849063049657*^9, 3.8448490791257763`*^9}, {
   3.844849116507831*^9, 3.84484928575811*^9}, {3.8448493180910378`*^9, 
   3.8448498127554817`*^9}, {3.844849859515428*^9, 3.844850047338952*^9}, {
   3.844850432682632*^9, 3.844850477209292*^9}, {3.844850550300148*^9, 
   3.844850647958068*^9}, {3.844850769485702*^9, 3.8448507725419827`*^9}, {
   3.8448508982933483`*^9, 3.844850898971601*^9}, {3.844851086453772*^9, 
   3.844851089826499*^9}, {3.8448552579366503`*^9, 3.844855276200968*^9}, {
   3.844855319466319*^9, 3.8448553610555153`*^9}, {3.8448554303897343`*^9, 
   3.8448554626228228`*^9}, {3.844855507861744*^9, 3.84485557630615*^9}, {
   3.844855738026195*^9, 3.8448557554219837`*^9}, {3.8448558414526997`*^9, 
   3.844855867742844*^9}, {3.844929839938777*^9, 3.844929848745501*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[
  0.94, 0.91, 0.88],ExpressionUUID->"d40365e6-5aba-42d8-9888-c9b478a1bb98"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "The", " ", "\"\<ToMatlab\>\"", " ", "function", " ", "below", " ", 
     "provides", " ", "the", " ", "final", " ", "output", " ", "for", " ", 
     RowBox[{"Matlab", ".", " ", "We"}], " ", "note", " ", "that", " ", "the",
      " ", "notation", " ", "should", " ", "match", " ", "the", " ", "one", 
     " ", "used", " ", "in", " ", "the", " ", "main", " ", "Matlab", " ", 
     RowBox[{"code", ".", " ", "Moreover"}]}], ",", " ", 
    RowBox[{"Mathematica", " ", "expresses", " ", "derivatives", " ", "as"}], 
    ",", "\n", "   ", 
    RowBox[{"for", " ", "instance"}], ",", " ", 
    RowBox[{
     RowBox[{
     "\"\<Derivative(i,j)(variablename)(r,z)\>\"", ".", " ", "These"}], " ", 
     "must", " ", "be", " ", "renamed", " ", "one", " ", "by", " ", "one", 
     " ", "accordingly", " ", "to", " ", "the", " ", "Matlab", " ", 
     RowBox[{"notation", ".", " ", "For"}], " ", "example"}], ",", " ", 
    RowBox[{
     RowBox[{"\"\<Derivative(1,0)(ur1dmp)(r,z)\>\"", "--"}], ">", 
     RowBox[{
      RowBox[{
       RowBox[{"\"\<Dr_ur1dmp\>\"", ".", " ", "\n", "   ", "This"}], " ", 
       "could", " ", "be", " ", "done", " ", "either", " ", "in", " ", 
       "Mathematica", " ", "or", " ", "a"}], "-", 
      RowBox[{"posteriori", " ", "in", " ", "Matlab", " ", 
       RowBox[{"(", 
        RowBox[{
        "we", " ", "opted", " ", "for", " ", "the", " ", "second", " ", 
         "option"}], ")"}]}]}]}]}], " ", "*)"}], "\n", "\n", 
  RowBox[{
   RowBox[{"<<", " ", "ToMatlab`"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "this", " ", "external", " ", "function", " ", "must", " ", "be", " ", 
     "downloaded", " ", "and", " ", "added", " ", "to", " ", "the", " ", 
     "right", " ", 
     RowBox[{"path", ":", " ", 
      RowBox[{"see", " ", "Wolfram", " ", "documentation"}]}]}], " ", "*)"}], 
   " ", "\n", "\n", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUradialEPS2ApdApd", "[", 
     RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "]"}], "\n", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUazimuthalEPS2ApdApd", "[", 
     RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "]"}], "\n", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUaxialEPS2ApdApd", "[", 
     RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "]"}], "\n", "\n", 
   
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUradialEPS2ApdApc", "[", 
     RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "]"}], "\n", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUazimuthalEPS2ApdApc", "[", 
     RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "]"}], "\n", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUaxialEPS2ApdApc", "[", 
     RowBox[{"r", ",", " ", "phi", ",", " ", "z"}], "]"}], "]"}], "\n", 
   "\n"}]}]], "Code",
 CellChangeTimes->{{3.8062312212111483`*^9, 3.806231221579866*^9}, 
   3.807942905874463*^9, 3.8079431702384453`*^9, {3.807952534021995*^9, 
   3.8079525548973017`*^9}, {3.8079526194730453`*^9, 3.807952626244596*^9}, {
   3.807957415772189*^9, 3.8079574419747543`*^9}, {3.80804325160598*^9, 
   3.808043396734044*^9}, {3.808112409299389*^9, 3.808112411364194*^9}, {
   3.808113374070409*^9, 3.808113398523272*^9}, {3.80811362722871*^9, 
   3.8081136289544*^9}, {3.808123276530707*^9, 3.808123296258855*^9}, {
   3.808123378143599*^9, 3.808123379805768*^9}, {3.8274029682504377`*^9, 
   3.827402988506917*^9}, {3.827403040136096*^9, 3.827403156771041*^9}, {
   3.827403270585785*^9, 3.827403288156692*^9}, {3.8274682768907003`*^9, 
   3.827468323361809*^9}, {3.827471619703175*^9, 3.827471624550378*^9}, {
   3.827471661442913*^9, 3.827471692296671*^9}, {3.827478761724771*^9, 
   3.8274787890336742`*^9}, {3.827479028904859*^9, 3.827479030488957*^9}, 
   3.8274898286055527`*^9, {3.827489961252099*^9, 3.827489972448071*^9}, {
   3.8274901372942753`*^9, 3.8274901466667423`*^9}, {3.827490847213977*^9, 
   3.827490848871007*^9}, {3.827491679539254*^9, 3.827491684667684*^9}, {
   3.831837335418035*^9, 3.83183734362272*^9}, {3.8448489960344067`*^9, 
   3.844849034974925*^9}, {3.844850052272441*^9, 3.844850077520067*^9}, {
   3.8448501114172077`*^9, 3.844850390863785*^9}, {3.844852421475363*^9, 
   3.84485250986185*^9}, 3.844855930642424*^9, {3.844855969617239*^9, 
   3.84485596962395*^9}, {3.844929851884411*^9, 3.84492985425556*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[
  0.94, 0.91, 0.88],ExpressionUUID->"e3b23cbe-56f7-40a8-bf41-da0adf17c030"],

Cell[BoxData["\<\"(-1).*r.^(-1).*uphi1dmp(r,z).^2+sqrt(-1).*m1.*r.^(-1).*\
uphi1dmp(r, ...\\n  \
z).*ur1dmp(r,z)+uz1dmp(r,z).*Derivative(0,1)(ur1dmp)(r,z)+ur1dmp( ...\\n  \
r,z).*Derivative(1,0)(ur1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{
  3.827402991850822*^9, {3.827403251592997*^9, 3.8274032911953382`*^9}, 
   3.827404082589643*^9, {3.8274682869753523`*^9, 3.8274683264652023`*^9}, 
   3.827471626833508*^9, {3.8274716760275*^9, 3.827471694747134*^9}, {
   3.827478766530068*^9, 3.8274787914612226`*^9}, 3.827479033059061*^9, {
   3.827489984690436*^9, 3.827489994217098*^9}, 3.8274901514163513`*^9, {
   3.827490843299591*^9, 3.827490851871766*^9}, 3.827491688232356*^9, 
   3.831837348244494*^9, 3.844849052209528*^9, 3.844849084368391*^9, {
   3.844856041691045*^9, 3.8448560422849894`*^9}, {3.844929825895753*^9, 
   3.844929826467342*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"Out[87]=",ExpressionUUID->"92132dab-4f28-4c2a-bce0-853f455b1fca"],

Cell[BoxData["\<\"sqrt(-1).*m1.*r.^(-1).*uphi1dmp(r,z).^2+r.^(-1).*uphi1dmp(r,\
z).* ...\\n  \
ur1dmp(r,z)+uz1dmp(r,z).*Derivative(0,1)(uphi1dmp)(r,z)+ur1dmp(r, ...\\n  \
z).*Derivative(1,0)(uphi1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{
  3.827402991850822*^9, {3.827403251592997*^9, 3.8274032911953382`*^9}, 
   3.827404082589643*^9, {3.8274682869753523`*^9, 3.8274683264652023`*^9}, 
   3.827471626833508*^9, {3.8274716760275*^9, 3.827471694747134*^9}, {
   3.827478766530068*^9, 3.8274787914612226`*^9}, 3.827479033059061*^9, {
   3.827489984690436*^9, 3.827489994217098*^9}, 3.8274901514163513`*^9, {
   3.827490843299591*^9, 3.827490851871766*^9}, 3.827491688232356*^9, 
   3.831837348244494*^9, 3.844849052209528*^9, 3.844849084368391*^9, {
   3.844856041691045*^9, 3.8448560422849894`*^9}, {3.844929825895753*^9, 
   3.844929826489376*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"Out[88]=",ExpressionUUID->"bb642d7d-057c-4c33-8787-0326b6da56e6"],

Cell[BoxData["\<\"sqrt(-1).*m1.*r.^(-1).*uphi1dmp(r,z).*uz1dmp(r,z)+uz1dmp(r,\
z).* ...\\n  \
Derivative(0,1)(uz1dmp)(r,z)+ur1dmp(r,z).*Derivative(1,0)(uz1dmp)( ...\\n  \
r,z);\\n\"\>"], "Output",
 CellChangeTimes->{
  3.827402991850822*^9, {3.827403251592997*^9, 3.8274032911953382`*^9}, 
   3.827404082589643*^9, {3.8274682869753523`*^9, 3.8274683264652023`*^9}, 
   3.827471626833508*^9, {3.8274716760275*^9, 3.827471694747134*^9}, {
   3.827478766530068*^9, 3.8274787914612226`*^9}, 3.827479033059061*^9, {
   3.827489984690436*^9, 3.827489994217098*^9}, 3.8274901514163513`*^9, {
   3.827490843299591*^9, 3.827490851871766*^9}, 3.827491688232356*^9, 
   3.831837348244494*^9, 3.844849052209528*^9, 3.844849084368391*^9, {
   3.844856041691045*^9, 3.8448560422849894`*^9}, {3.844929825895753*^9, 
   3.844929826508505*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"Out[89]=",ExpressionUUID->"f4026b9d-6028-416e-a9dc-602d4f614111"],

Cell[BoxData["\<\"(-2).*r.^(-1).*uphi1cmp(r,z).*uphi1dmp(r,z)+(sqrt(-1)*(-1)).\
*m1.* ...\\n  r.^(-1).*uphi1dmp(r,z).*ur1cmp(r,z)+sqrt(-1).*m1.*r.^(-1).* ...\
\\n  uphi1cmp(r,z).*ur1dmp(r,z)+uz1dmp(r,z).*Derivative(0,1)(ur1cmp)(r, \
...\\n  z)+uz1cmp(r,z).*Derivative(0,1)(ur1dmp)(r,z)+ur1dmp(r,z).* ...\\n  \
Derivative(1,0)(ur1cmp)(r,z)+ur1cmp(r,z).*Derivative(1,0)(ur1dmp)( ...\\n  \
r,z);\\n\"\>"], "Output",
 CellChangeTimes->{
  3.827402991850822*^9, {3.827403251592997*^9, 3.8274032911953382`*^9}, 
   3.827404082589643*^9, {3.8274682869753523`*^9, 3.8274683264652023`*^9}, 
   3.827471626833508*^9, {3.8274716760275*^9, 3.827471694747134*^9}, {
   3.827478766530068*^9, 3.8274787914612226`*^9}, 3.827479033059061*^9, {
   3.827489984690436*^9, 3.827489994217098*^9}, 3.8274901514163513`*^9, {
   3.827490843299591*^9, 3.827490851871766*^9}, 3.827491688232356*^9, 
   3.831837348244494*^9, 3.844849052209528*^9, 3.844849084368391*^9, {
   3.844856041691045*^9, 3.8448560422849894`*^9}, {3.844929825895753*^9, 
   3.8449298265267143`*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"Out[90]=",ExpressionUUID->"d3705879-5c1b-4ca2-b5cc-7b1354972925"],

Cell[BoxData["\<\"r.^(-1).*uphi1dmp(r,z).*ur1cmp(r,z)+r.^(-1).*uphi1cmp(r,z).*\
 ...\\n  ur1dmp(r,z)+uz1dmp(r,z).*Derivative(0,1)(uphi1cmp)(r,z)+uz1cmp(r, \
...\\n  z).*Derivative(0,1)(uphi1dmp)(r,z)+ur1dmp(r,z).*Derivative(1,0)( \
...\\n  uphi1cmp)(r,z)+ur1cmp(r,z).*Derivative(1,0)(uphi1dmp)(r,z);\\n\"\>"], \
"Output",
 CellChangeTimes->{
  3.827402991850822*^9, {3.827403251592997*^9, 3.8274032911953382`*^9}, 
   3.827404082589643*^9, {3.8274682869753523`*^9, 3.8274683264652023`*^9}, 
   3.827471626833508*^9, {3.8274716760275*^9, 3.827471694747134*^9}, {
   3.827478766530068*^9, 3.8274787914612226`*^9}, 3.827479033059061*^9, {
   3.827489984690436*^9, 3.827489994217098*^9}, 3.8274901514163513`*^9, {
   3.827490843299591*^9, 3.827490851871766*^9}, 3.827491688232356*^9, 
   3.831837348244494*^9, 3.844849052209528*^9, 3.844849084368391*^9, {
   3.844856041691045*^9, 3.8448560422849894`*^9}, {3.844929825895753*^9, 
   3.844929826544911*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"Out[91]=",ExpressionUUID->"da0e1d35-3c19-4a84-9e5b-b477084cb0f8"],

Cell[BoxData["\<\"(sqrt(-1)*(-1)).*m1.*r.^(-1).*uphi1dmp(r,z).*uz1cmp(r,z)+\
sqrt(-1) ...\\n  \
.*m1.*r.^(-1).*uphi1cmp(r,z).*uz1dmp(r,z)+uz1dmp(r,z).*Derivative( ...\\n  \
0,1)(uz1cmp)(r,z)+uz1cmp(r,z).*Derivative(0,1)(uz1dmp)(r,z)+ ...\\n  \
ur1dmp(r,z).*Derivative(1,0)(uz1cmp)(r,z)+ur1cmp(r,z).*Derivative( ...\\n  \
1,0)(uz1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{
  3.827402991850822*^9, {3.827403251592997*^9, 3.8274032911953382`*^9}, 
   3.827404082589643*^9, {3.8274682869753523`*^9, 3.8274683264652023`*^9}, 
   3.827471626833508*^9, {3.8274716760275*^9, 3.827471694747134*^9}, {
   3.827478766530068*^9, 3.8274787914612226`*^9}, 3.827479033059061*^9, {
   3.827489984690436*^9, 3.827489994217098*^9}, 3.8274901514163513`*^9, {
   3.827490843299591*^9, 3.827490851871766*^9}, 3.827491688232356*^9, 
   3.831837348244494*^9, 3.844849052209528*^9, 3.844849084368391*^9, {
   3.844856041691045*^9, 3.8448560422849894`*^9}, {3.844929825895753*^9, 
   3.844929826560575*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"Out[92]=",ExpressionUUID->"e63f045a-6d0e-4a08-a076-797c33f14098"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Once", " ", "the", " ", "second", " ", "order", " ", "solution", " ", 
     "is", " ", "computed"}], ",", " ", 
    RowBox[{"it", " ", "can", " ", "be", " ", "defined", " ", "here", " ", 
     RowBox[{"(", 
      RowBox[{"as", " ", "a", " ", "symbolic", " ", "expression"}], ")"}], 
     " ", "by", " ", "analogy", " ", "with", " ", "the", " ", "first", " ", 
     "order", " ", 
     RowBox[{"solution", ".", " ", "After"}], " ", "that"}], ",", " ", 
    RowBox[{
     RowBox[{"third", "-", 
      RowBox[{
      "order", " ", "resonating", " ", "terms", " ", "can", " ", "be", " ", 
       "easily", " ", "extracted", " ", "from", " ", "the", " ", "third", " ",
        "order", " ", "terms", " ", "as", " ", "briefly", " ", "shown", " ", 
       "below", " ", "for", " ", "the", " ", "wave", " ", "with", " ", 
       RowBox[{"\"\<+m1\>\"", " ", "--"}]}]}], ">", " ", 
     RowBox[{"exp", 
      RowBox[{"(", 
       RowBox[{"i", "*", "w", "*", "t"}], ")"}], "*", "exp", 
      RowBox[{"(", 
       RowBox[{"i", "*", "m", "*", "phi"}], ")"}], "*", "Adp"}]}]}], " ", 
   "*)"}], " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"ur2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"ur2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"ur2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"uphi2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"uphi2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"uphi2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"uz2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"uz2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"uz2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.8079525731181517`*^9, 3.807952573985622*^9}, {
   3.807952630273876*^9, 3.807952636901351*^9}, 3.807957444303575*^9, {
   3.844850777021049*^9, 3.8448509204874783`*^9}, {3.844850982270808*^9, 
   3.844851015429852*^9}, {3.844855614225754*^9, 3.844855647987879*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[93]:=",ExpressionUUID->"de02f1a7-c3b7-4266-95d1-d9f3c4013647"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.807952587896531*^9, 3.80795258870653*^9}, {
   3.807952643523304*^9, 3.807952652343833*^9}, 3.8079574469083433`*^9},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[94]:=",ExpressionUUID->"792bc000-267f-42fc-8b00-85b51404516f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"UGradUradialEPS3ApdApcApd", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"UGradUradialEPS3", "[", 
              RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "w", "*", "t"}], "]"}]}], "]"}], "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "]"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc", "*", "Apd"}]}], "]"}], "]"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"UGradUazimuthalEPS3ApdApcApd", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"UGradUazimuthalEPS3", "[", 
              RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "w", "*", "t"}], "]"}]}], "]"}], "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "]"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc", "*", "Apd"}]}], "]"}], "]"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"UGradUaxialEPS3ApdApcApd", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"UGradUaxialEPS3", "[", 
              RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "w", "*", "t"}], "]"}]}], "]"}], "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "]"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc", "*", "Apd"}]}], "]"}], "]"}]}], " ", "*)"}],
   "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.807952596026679*^9, 3.807952596830224*^9}, {
   3.80795265874876*^9, 3.807952681288975*^9}, 3.807952852119439*^9, 
   3.807957449377089*^9, {3.844850930860915*^9, 3.84485097810212*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[95]:=",ExpressionUUID->"ff98ec7c-33ba-4d4c-a2fe-72f63010c326"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"<<", "ToMatlab`"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUradialEPS3ApdApcApd", "[", 
     RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "]"}], " ", "*)"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.80795260162004*^9, 3.807952602319015*^9}, {
   3.807952864777359*^9, 3.80795287479456*^9}, 3.80795745177841*^9, {
   3.8448510243210487`*^9, 3.8448510419428263`*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[96]:=",ExpressionUUID->"e058501f-0500-4ebb-9abc-f5b27910ac0c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUazimuthalEPS3ApdApcApd", "[", 
     RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "]"}], " ", "*)"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.807952606294278*^9, 3.807952607051043*^9}, {
   3.807952881445056*^9, 3.80795288861414*^9}, 3.8079574545387383`*^9, {
   3.844851034640864*^9, 3.844851044206966*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[97]:=",ExpressionUUID->"ef30806c-1bbd-4b2e-8fac-1175c281e247"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"UGradUaxialEPS3ApdApcApd", "[", 
     RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "]"}], " ", "*)"}], 
  " "}]], "Input",
 CellChangeTimes->{
  3.8079574213659573`*^9, {3.807957462143911*^9, 3.807957467418511*^9}, {
   3.844851035288735*^9, 3.844851046372682*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[98]:=",ExpressionUUID->"2241608c-0a82-42a4-a67d-2f6d2d61e96b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.80811341565294*^9, 3.808113416723575*^9}},
 FontColor->GrayLevel[0],
 Background->RGBColor[0.94, 0.91, 0.88],
 CellLabel->"In[99]:=",ExpressionUUID->"4f7aa6e0-8fed-49f3-9c02-b608403982e2"]
},
WindowSize->{Full, Full},
WindowMargins->{{Automatic, -1120}, {Automatic, 239}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a2c9b448-3598-4b46-b516-be135198a5fb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 36910, 901, 1706, "Code",ExpressionUUID->"d40365e6-5aba-42d8-9888-c9b478a1bb98"],
Cell[CellGroupData[{
Cell[37335, 918, 4491, 85, 319, "Code",ExpressionUUID->"e3b23cbe-56f7-40a8-bf41-da0adf17c030"],
Cell[41829, 1005, 1005, 16, 114, "Output",ExpressionUUID->"92132dab-4f28-4c2a-bce0-853f455b1fca"],
Cell[42837, 1023, 1003, 16, 114, "Output",ExpressionUUID->"bb642d7d-057c-4c33-8787-0326b6da56e6"],
Cell[43843, 1041, 973, 16, 114, "Output",ExpressionUUID->"f4026b9d-6028-416e-a9dc-602d4f614111"],
Cell[44819, 1059, 1191, 18, 177, "Output",ExpressionUUID->"d3705879-5c1b-4ca2-b5cc-7b1354972925"],
Cell[46013, 1079, 1098, 17, 135, "Output",ExpressionUUID->"da0e1d35-3c19-4a84-9e5b-b477084cb0f8"],
Cell[47114, 1098, 1136, 18, 156, "Output",ExpressionUUID->"e63f045a-6d0e-4a08-a076-797c33f14098"]
}, Open  ]],
Cell[48265, 1119, 3806, 96, 152, "Input",ExpressionUUID->"de02f1a7-c3b7-4266-95d1-d9f3c4013647"],
Cell[52074, 1217, 311, 5, 46, "Input",ExpressionUUID->"792bc000-267f-42fc-8b00-85b51404516f"],
Cell[52388, 1224, 2900, 70, 110, "Input",ExpressionUUID->"ff98ec7c-33ba-4d4c-a2fe-72f63010c326"],
Cell[55291, 1296, 662, 15, 89, "Input",ExpressionUUID->"e058501f-0500-4ebb-9abc-f5b27910ac0c"],
Cell[55956, 1313, 548, 12, 46, "Input",ExpressionUUID->"ef30806c-1bbd-4b2e-8fac-1175c281e247"],
Cell[56507, 1327, 498, 12, 46, "Input",ExpressionUUID->"2241608c-0a82-42a4-a67d-2f6d2d61e96b"],
Cell[57008, 1341, 237, 4, 46, "Input",ExpressionUUID->"4f7aa6e0-8fed-49f3-9c02-b608403982e2"]
}
]
*)

