(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    108227,       2550]
NotebookOptionsPosition[    106118,       2511]
NotebookOutlinePosition[    106517,       2527]
CellTagsIndexPosition[    106474,       2524]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "The", " ", "present", " ", "Wolfram", " ", "Mathematica", " ", "script", 
     " ", "computes", " ", "the", " ", "third"}], "-", 
    RowBox[{
    "order", " ", "asymptotic", " ", "expansion", " ", "of", " ", "the", " ", 
     "dynamic", " ", "condition", " ", "at", " ", "the", " ", "free", " ", 
     "surface"}]}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "script", " ", "must", " ", "be", " ", "run", " ", "in", " ", 
    "the", " ", "environment", " ", "Wolfram", " ", "Mathematica"}], " ", 
   "*)"}], " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Here", " ", "the", " ", "first", " ", "order", " ", "velocity"}], "-", 
     "field"}], ",", " ", 
    RowBox[{
     RowBox[{"pressure", " ", "and", " ", "interface", " ", "are", " ", 
      RowBox[{"defined", ".", " ", "They"}], " ", "are", " ", "made", " ", 
      "of", " ", "two", " ", "counter"}], "-", 
     RowBox[{
     "rotating", " ", "waves", " ", "characterized", " ", "by", " ", "an", 
      " ", "oscillation", " ", "frequency", " ", "\"\<w\>\"", " ", "and", " ",
       "by", " ", "an", " ", "azimuthal", " ", "wavenumber", " ", 
      RowBox[{"\"\<m1\>\"", ".", " ", "The"}], " ", "radial"}]}], ",", " ", 
    RowBox[{
    "azimuthal", " ", "and", " ", "axial", " ", "components", " ", "are", " ",
      "denoted", " ", "by", " ", "\"\<r\>\""}], ",", " ", 
    RowBox[{"\"\<phi\>\"", " ", "and", " ", "\"\<z\>\""}], ",", " ", 
    RowBox[{
     RowBox[{"respectively", ".", " ", "The"}], " ", "following", " ", 
     "notation", " ", "is", " ", 
     RowBox[{"used", ":", " ", 
      RowBox[{"\"\<mp\>\"", " ", 
       RowBox[{"(", 
        RowBox[{"or", " ", "\"\<p\>\""}], ")"}], " ", "indicates", " ", "the",
        " ", "wave", " ", "with", " ", "\"\<+m1\>\""}]}]}], ",", " ", 
    RowBox[{"whereas", " ", "\"\<mm\>\"", " ", 
     RowBox[{"(", 
      RowBox[{"or", " ", "\"\<m\>\""}], ")"}], " ", "denotes", " ", "the", 
     " ", "wave", " ", "with", " ", 
     RowBox[{"\"\<-m1\>\"", ".", " ", "\"\<d\>\""}], " ", "stands", " ", 
     "for", " ", "direct", " ", "contribution"}], ",", " ", 
    RowBox[{
    "while", " ", "\"\<c\>\"", " ", "means", " ", "the", " ", "complex", " ", 
     
     RowBox[{"conjugate", ".", " ", "The"}], " ", "variable", " ", "time"}], 
    ",", " ", "\"\<t\>\"", ",", " ", 
    RowBox[{
     RowBox[{
     "is", " ", "kept", " ", "explicit", " ", "as", " ", "no", " ", "time"}], 
     "-", 
     RowBox[{"derivatives", " ", "are", " ", "involved"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ur1", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"ur1dmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Apc", "*", 
      RowBox[{"ur1cmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amd", "*", 
      RowBox[{"ur1dmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amc", "*", 
      RowBox[{"ur1cmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uphi1", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"uphi1dmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Apc", "*", 
      RowBox[{"uphi1cmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amd", "*", 
      RowBox[{"uphi1dmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amc", "*", 
      RowBox[{"uphi1cmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uz1", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"uz1dmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Apc", "*", 
      RowBox[{"uz1cmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amd", "*", 
      RowBox[{"uz1dmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amc", "*", 
      RowBox[{"uz1cmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"p1dmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Apc", "*", 
      RowBox[{"p1cmp", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amd", "*", 
      RowBox[{"p1dmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amc", "*", 
      RowBox[{"p1cmm", "[", 
       RowBox[{"r", ",", "z"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eta1", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Apd", "*", 
      RowBox[{"eta1dmp", "[", "r", "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Apc", "*", 
      RowBox[{"eta1cmp", "[", "r", "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amd", "*", 
      RowBox[{"eta1dmm", "[", "r", "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "m1", "*", "phi"}], "]"}]}], "+", 
     RowBox[{"Amc", "*", 
      RowBox[{"eta1cmm", "[", "r", "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], "*", "w", "*", "t"}], "]"}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "Asymptotic", " ", "expansions", " ", "up", " ", "to", " ", "the", " ", 
       "third", " ", "order", " ", "in", " ", 
       RowBox[{"epsilon", ".", " ", "Note"}], " ", "that", " ", "the", " ", 
       "zero"}], "-", 
      RowBox[{
      "order", " ", "pressure", " ", "is", " ", "purely", " ", 
       "hydrostatic"}]}], ",", " ", 
     RowBox[{
      RowBox[{"whereas", " ", "the", " ", "zero"}], "-", 
      RowBox[{
      "order", " ", "interface", " ", "is", " ", "given", " ", "by", " ", 
       "the", " ", "shape", " ", "of", " ", "the", " ", "static", " ", 
       "meniscus"}]}], ",", " ", "eta0"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eta", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"eta0", "[", "r", "]"}], "+", 
     RowBox[{"eps", "*", 
      RowBox[{"eta1", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"eta2", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"eta3", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ur", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"eps", "*", 
      RowBox[{"ur1", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"ur2", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"ur3", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uphi", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"eps", "*", 
      RowBox[{"uphi1", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"uphi2", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"uphi3", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uz", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"eps", "*", 
      RowBox[{"uz1", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"uz2", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"uz3", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"-", "z"}], "+", 
     RowBox[{"eps", "*", 
      RowBox[{"p1", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"p2", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"p3", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "dynamic", " ", "equation", " ", "involves", " ", "the", " ",
       "free", " ", "surface", " ", 
      RowBox[{"stresses", ".", " ", "Hence"}]}], ",", " ", 
     RowBox[{
     "we", " ", "first", " ", "need", " ", "to", " ", "define", " ", "all", 
      " ", "the", " ", "terms", " ", "appearing", " ", "in", " ", "the", " ", 
      "stress", " ", 
      RowBox[{"tensor", ".", " ", "After"}], " ", "that"}], ",", " ", 
     RowBox[{
      RowBox[{"these", " ", "terms", " ", "are", " ", "Taylor"}], "-", 
      RowBox[{"expanded", " ", "around", " ", "the", " ", "static", " ", 
       RowBox[{"meniscus", ".", " ", "See"}], " ", "below"}]}]}], " ", "*)"}],
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Flattening", " ", "PRESSURE", " ", "interface"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"D1pDz1", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"p", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"D2pDz2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"p", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"D3pDz3", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"p", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "3"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"p", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D1pDz1", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D2pDz2", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D3pDz3", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Flattening", " ", "VISCOUS", " ", "STRESS", " ", "interface"}], 
    " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"DurDr", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DurDphi", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"phi", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuphiDr", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DurDz", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"ur", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuzDr", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuphiDphi", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"phi", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuzDphi", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"phi", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuphiDz", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uphi", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuzDz", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], "  ", ":=", " ", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"uz", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DurDrFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DurDr", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DurDphiFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DurDphi", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuphiDrFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DuphiDr", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DurDzFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DurDz", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DurDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuzDrFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DuzDr", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDr", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuphiDphiFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DuphiDphi", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuzDphiFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DuzDphi", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuphiDzFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DuphiDz", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuphiDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DuzDzFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"DuzDz", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"DuzDz", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uphiFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"uphi", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"uphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"uphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"uphi", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"urFLAT", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"ur", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"ur", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "1"}], "}"}]}], "]"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"eta", "[", 
         RowBox[{"r", ",", "phi"}], "]"}], "-", 
        RowBox[{"eta0", "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"ur", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "2"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "/", "6"}], ")"}], "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"ur", "[", 
         RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"eta", "[", 
          RowBox[{"r", ",", "phi"}], "]"}], "-", 
         RowBox[{"eta0", "[", "r", "]"}]}], ")"}], "^", "3"}]}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "dynamic", " ", "equation", " ", "also", " ", "involves", 
      " ", "the", " ", "free", " ", "surface", " ", 
      RowBox[{"curvature", ".", " ", "Here"}]}], ",", " ", 
     RowBox[{
     "the", " ", "latter", " ", "is", " ", "computed", " ", "as", " ", "the", 
      " ", "divergence", " ", "of", " ", "the", " ", "unitary", " ", "vector",
       " ", "locally", " ", "normal", " ", "to", " ", "the", " ", "free", " ",
       "surface"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"normal", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"eta", "[", 
           RowBox[{"r", ",", "phi"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"r", ",", "1"}], "}"}]}], "]"}]}], "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"eta", "[", 
             RowBox[{"r", ",", "phi"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"r", ",", "1"}], "}"}]}], "]"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"r", "^", "2"}], ")"}]}], ")"}], "*", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"eta", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"phi", ",", "1"}], "}"}]}], "]"}], "^", "2"}]}]}], 
        "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"1", "/", "r"}], ")"}]}], "*", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"eta", "[", 
           RowBox[{"r", ",", "phi"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"phi", ",", "1"}], "}"}]}], "]"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"1", "+", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"eta", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", "1"}], "}"}]}], "]"}], "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "/", 
             RowBox[{"(", 
              RowBox[{"r", "^", "2"}], ")"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"eta", "[", 
               RowBox[{"r", ",", "phi"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"phi", ",", "1"}], "}"}]}], "]"}], "^", "2"}]}]}], 
         "]"}]}]}], ",", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"1", "+", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"eta", "[", 
             RowBox[{"r", ",", "phi"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"r", ",", "1"}], "}"}]}], "]"}], "^", "2"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"r", "^", "2"}], ")"}]}], ")"}], "*", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"eta", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"phi", ",", "1"}], "}"}]}], "]"}], "^", "2"}]}]}], 
        "]"}]}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"Curv", ":=", 
    RowBox[{"-", 
     RowBox[{"Div", "[", 
      RowBox[{
       RowBox[{"normal", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "phi", ",", "z"}], "}"}], ",", 
       "\"\<Cylindrical\>\""}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"normal", "[", 
       RowBox[{"r", ",", "phi"}], "]"}], "*", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"1", "+", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"eta", "[", 
            RowBox[{"r", ",", "phi"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"r", ",", "1"}], "}"}]}], "]"}], "^", "2"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", 
           RowBox[{"(", 
            RowBox[{"r", "^", "2"}], ")"}]}], ")"}], "*", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"eta", "[", 
             RowBox[{"r", ",", "phi"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"phi", ",", "1"}], "}"}]}], "]"}], "^", "2"}]}]}], 
       "]"}]}], "]"}]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "one", " ", "can", " ", "get", " ", "rid", " ", "of", " ", "the", " ", 
      "norm", " ", "of", " ", "the", " ", "normal", " ", "vector"}], ",", " ", 
     RowBox[{
     "hence", " ", "the", " ", "final", " ", "normal", " ", "vector", " ", 
      "is", " ", "given", " ", "by", " ", "\"\<n\>\""}]}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "We", " ", "now", " ", "build", " ", "the", " ", "stress", " ", "tensor", 
     " ", 
     RowBox[{"(", 
      RowBox[{"evaluated", " ", "at", " ", "the", " ", "interface"}], ")"}]}],
     " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StressTensor", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"pFLAT", "[", 
           RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "/", "Re"}], ")"}], "*", 
          RowBox[{"DurDrFLAT", "[", 
           RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "/", "Bo"}], ")"}], "*", "Curv"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "Re"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "r"}], ")"}], "*", 
            RowBox[{"DurDphiFLAT", "[", 
             RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
           RowBox[{"DuphiDrFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "r"}], ")"}], "*", 
            RowBox[{"uphiFLAT", "[", 
             RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "Re"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"DurDzFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
           RowBox[{"DuzDrFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], ")"}]}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "Re"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "r"}], ")"}], "*", 
            RowBox[{"DurDphiFLAT", "[", 
             RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
           RowBox[{"DuphiDrFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "r"}], ")"}], "*", 
            RowBox[{"uphiFLAT", "[", 
             RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "/", "Re"}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "r"}], ")"}], "*", 
             RowBox[{"DuphiDphiFLAT", "[", 
              RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "/", "r"}], ")"}], "*", 
             RowBox[{"urFLAT", "[", 
              RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}]}], ")"}]}], "-", 
         RowBox[{"pFLAT", "[", 
          RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "/", "Bo"}], ")"}], "*", "Curv"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "Re"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "r"}], ")"}], "*", 
            RowBox[{"DuzDphiFLAT", "[", 
             RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
           RowBox[{"DuphiDzFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], ")"}]}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "Re"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"DurDzFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}], "+", 
           RowBox[{"DuzDrFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "/", "Re"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "/", "r"}], ")"}], "*", 
            RowBox[{"DuzDphiFLAT", "[", 
             RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
           RowBox[{"DuphiDzFLAT", "[", 
            RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"pFLAT", "[", 
           RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", "/", "Re"}], ")"}], "*", 
          RowBox[{"DuzDzFLAT", "[", 
           RowBox[{"r", ",", "phi", ",", "z"}], "]"}]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "/", "Bo"}], ")"}], "*", "Curv"}]}]}], "}"}]}], 
     "}"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"the", " ", "radial"}], ",", " ", 
     RowBox[{
     "azimuthal", " ", "and", " ", "axial", " ", "components", " ", "are", 
      " ", "identified", " ", "by", " ", "multiplying", " ", "by", " ", 
      "\"\<n\>\""}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StressTensorNormal", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"StressTensor", "[", 
      RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ".", 
     RowBox[{"n", "[", 
      RowBox[{"r", ",", "phi"}], "]"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Finally", ",", " ", 
     RowBox[{
     "the", " ", "three", " ", "components", " ", "are", " ", "expanded", " ",
       "in", " ", "serie", " ", "of", " ", "epsilon"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"StressTensorNormalEPS", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], " ", ":=", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"StressTensorNormal", "[", 
       RowBox[{"r", ",", "phi", ",", "z"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"eps", ",", "0", ",", "3"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "we", " ", "split", " ", "the", " ", "three", " ", "components", " ", 
     "as", " ", "follows"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPSr", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ".", 
     RowBox[{"StressTensorNormalEPS", "[", 
      RowBox[{"r", ",", "phi"}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPSphi", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0"}], "}"}], ".", 
     RowBox[{"StressTensorNormalEPS", "[", 
      RowBox[{"r", ",", "phi"}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPSz", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}], ".", 
     RowBox[{"StressTensorNormalEPS", "[", 
      RowBox[{"r", ",", "phi"}], "]"}]}]}], "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "various", " ", "orders", " ", "in", " ", "epsilon", " ", 
      "are", " ", "identified"}], ",", " ", 
     RowBox[{"eps", "^", "1"}], ",", " ", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], " ", "and", " ", 
      RowBox[{"eps", "^", "3"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"DynamicEPS1r", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSr", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", "eps"}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2r", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSr", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"eps", "^", "2"}]}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS3r", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSr", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"eps", "^", "3"}]}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"CHECK", ":", " ", 
      RowBox[{
       RowBox[{"the", " ", "zero"}], "-", 
       RowBox[{
       "order", " ", "is", " ", "computed", " ", "as", " ", "the", " ", 
        "difference", " ", "between", " ", "the", " ", "total", " ", 
        "expression", " ", "and", " ", "the", " ", "first"}]}]}], ",", " ", 
     RowBox[{
     "second", " ", "and", " ", "third", " ", "order", " ", "terms"}]}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS0r", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"DynamicEPSr", "[", 
      RowBox[{"r", ",", "phi"}], "]"}], "-", 
     RowBox[{"eps", "*", 
      RowBox[{"DynamicEPS1r", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"DynamicEPS2r", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"DynamicEPS3r", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "Same", " ", "for", " ", "the", " ", "azimuthal", " ", "component"}], " ",
     "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS1phi", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSphi", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", "eps"}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2phi", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSphi", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"eps", "^", "2"}]}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS3phi", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSphi", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"eps", "^", "3"}]}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS0phi", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"DynamicEPSphi", "[", 
      RowBox[{"r", ",", "phi"}], "]"}], "-", 
     RowBox[{"eps", "*", 
      RowBox[{"DynamicEPS1phi", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"DynamicEPS2phi", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"DynamicEPS3phi", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Same", " ", "for", " ", "the", " ", "axial", " ", "component"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS1z", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSz", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", "eps"}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2z", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSz", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"eps", "^", "2"}]}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS3z", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPSz", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"eps", "^", "3"}]}], "]"}], " ", "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS0z", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"DynamicEPSz", "[", 
      RowBox[{"r", ",", "phi"}], "]"}], "-", 
     RowBox[{"eps", "*", 
      RowBox[{"DynamicEPS1z", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"eps", "^", "2"}], "*", 
      RowBox[{"DynamicEPS2z", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"eps", "^", "3"}], "*", 
      RowBox[{"DynamicEPS3z", "[", 
       RowBox[{"r", ",", "phi"}], "]"}]}]}]}], "\n", "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%%%%%%%%%%%%", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%%%%%%%%%%%%", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%%%%%%%%%%%%", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%%%%%%%%%%%%", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\
%%%%%%%%%%%%", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"As", " ", "an", " ", "illustrative", " ", "example"}], ",", " ", 
     RowBox[{
     "based", " ", "on", " ", "the", " ", "first", " ", "order", " ", 
      "solution", " ", "listed", " ", "above"}], ",", " ", 
     RowBox[{
     "we", " ", "explicitely", " ", "extract", " ", "two", " ", "of", " ", 
      "the", " ", "second", " ", "order", " ", "forcing", " ", "terms"}], ",",
      " ", 
     RowBox[{
      RowBox[{
      "namely", " ", "those", " ", "corresponding", " ", "to", " ", "the", 
       " ", "second"}], "-", 
      RowBox[{"harmonic", " ", "and", " ", "mean"}], "-", 
      RowBox[{
      "flow", " ", "correction", " ", "\n", "  ", "associated", " ", "with", 
       " ", "to", " ", "the", " ", "wave", " ", "with", " ", "azimuthal", " ",
        "wavenumber", " ", "\"\<+m1\>\""}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Extraction", " ", "of", " ", "second", " ", "order", " ", "term", " ", 
      RowBox[{"(", 
       RowBox[{"eps", "^", "2"}], ")"}]}], ":", " ", 
     RowBox[{
      RowBox[{"second", "-", 
       RowBox[{"harmonic", " ", "of", " ", "the"}], " ", "+", 
       RowBox[{"m1", " ", 
        RowBox[{"wave", " ", "--"}]}]}], ">", " ", 
      RowBox[{"exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "w", "*", "t"}], ")"}], "*", "exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "m", "*", "phi"}], ")"}], "*", "Adp", "*", 
       "Adp"}]}]}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{"DynamicEPS2rApdApd", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"DynamicEPS2r", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}]}], "]"}], 
           "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "]"}], 
        "]"}], ",", 
       RowBox[{"Apd", "*", "Apd"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2phiApdApd", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"DynamicEPS2phi", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}]}], "]"}], 
           "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "]"}], 
        "]"}], ",", 
       RowBox[{"Apd", "*", "Apd"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2zApdApd", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"DynamicEPS2z", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}]}], "]"}], 
           "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "]"}], 
        "]"}], ",", 
       RowBox[{"Apd", "*", "Apd"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "Extraction", " ", "of", " ", "second", " ", "order", " ", "term", " ", 
      RowBox[{"(", 
       RowBox[{"eps", "^", "2"}], ")"}]}], ":", " ", 
     RowBox[{
      RowBox[{"mean", "-", 
       RowBox[{
       "flow", " ", "correction", " ", "associated", " ", "with", " ", 
        "the"}], " ", "+", 
       RowBox[{"m1", " ", 
        RowBox[{"wave", " ", "--"}]}]}], ">", " ", 
      RowBox[{"exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "0", "*", "t"}], ")"}], "*", "exp", 
       RowBox[{"(", 
        RowBox[{"i", "*", "0", "*", "phi"}], ")"}], "*", "Adp", "*", 
       "Acp"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2rApdApc", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPS2r", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2phiApdApc", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPS2phi", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicEPS2zApdApc", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"DynamicEPS2z", "[", 
        RowBox[{"r", ",", "phi"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
   "(*", "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%", 
    "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "The", " ", "\"\<ToMatlab\>\"", " ", "function", " ", "below", " ", 
      "provides", " ", "the", " ", "final", " ", "output", " ", "for", " ", 
      RowBox[{"Matlab", ".", " ", "We"}], " ", "note", " ", "that", " ", 
      "the", " ", "notation", " ", "should", " ", "match", " ", "the", " ", 
      "one", " ", "used", " ", "in", " ", "the", " ", "main", " ", "Matlab", 
      " ", 
      RowBox[{"code", ".", " ", "Moreover"}]}], ",", " ", 
     RowBox[{"Mathematica", " ", "expresses", " ", "derivatives", " ", "as"}],
      ",", "\n", "   ", 
     RowBox[{"for", " ", "instance"}], ",", " ", 
     RowBox[{
      RowBox[{
      "\"\<Derivative(i,j)(variablename)(r,z)\>\"", ".", " ", "These"}], " ", 
      "must", " ", "be", " ", "renamed", " ", "one", " ", "by", " ", "one", 
      " ", "accordingly", " ", "to", " ", "the", " ", "Matlab", " ", 
      RowBox[{"notation", ".", " ", "For"}], " ", "example"}], ",", " ", 
     RowBox[{
      RowBox[{"\"\<Derivative(1,0)(ur1dmp)(r,z)\>\"", "--"}], ">", 
      RowBox[{
       RowBox[{
        RowBox[{"\"\<Dr_ur1dmp\>\"", ".", " ", "\n", "   ", "This"}], " ", 
        "could", " ", "be", " ", "done", " ", "either", " ", "in", " ", 
        "Mathematica", " ", "or", " ", "a"}], "-", 
       RowBox[{"posteriori", " ", "in", " ", "Matlab", " ", 
        RowBox[{"(", 
         RowBox[{
         "we", " ", "opted", " ", "for", " ", "the", " ", "second", " ", 
          "option"}], ")"}]}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"<<", "ToMatlab`"}], "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "this", " ", "external", " ", "function", " ", "must", " ", "be", " ", 
     "downloaded", " ", "and", " ", "added", " ", "to", " ", "the", " ", 
     "right", " ", 
     RowBox[{"path", ":", " ", 
      RowBox[{"see", " ", "Wolfram", " ", "documentation"}]}]}], " ", "*)"}], 
   " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS2rApdApd", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS2phiApdApd", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS2zApdApd", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS2rApdApc", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS2phiApdApc", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS2zApdApc", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Code",
 CellChangeTimes->{{3.806227506565055*^9, 3.8062275260675592`*^9}, {
   3.806227570760705*^9, 3.806227744008484*^9}, 3.806227823529787*^9, {
   3.8062279370348797`*^9, 3.806228063828773*^9}, {3.8062282591273527`*^9, 
   3.806228309383892*^9}, {3.806228366999776*^9, 3.806228425895129*^9}, {
   3.806228508823031*^9, 3.806228571751548*^9}, {3.806229390132689*^9, 
   3.806229393470305*^9}, {3.806229428471073*^9, 3.806229436642158*^9}, {
   3.8062297014603157`*^9, 3.8062297135939713`*^9}, {3.806229744856143*^9, 
   3.806229789995015*^9}, {3.8062298203747807`*^9, 3.806229890194948*^9}, {
   3.8062300036829042`*^9, 3.8062300700799303`*^9}, {3.806230112969293*^9, 
   3.806230206179309*^9}, {3.8062303262406683`*^9, 3.806230426557612*^9}, {
   3.8062304684236298`*^9, 3.806230505363082*^9}, {3.80623059244413*^9, 
   3.806230638756394*^9}, {3.8062310649319143`*^9, 3.80623118678513*^9}, {
   3.806231216955224*^9, 3.806231484038529*^9}, {3.8062315316581163`*^9, 
   3.806231564940296*^9}, {3.806231605249653*^9, 3.806231652695533*^9}, 
   3.806231726230287*^9, {3.8062317734632797`*^9, 3.806231783463709*^9}, {
   3.806231890957713*^9, 3.80623201370717*^9}, {3.806329280706168*^9, 
   3.806329360927421*^9}, {3.8063294304882393`*^9, 3.806329491665361*^9}, {
   3.806329530626648*^9, 3.806329535621139*^9}, {3.806329573474337*^9, 
   3.806329601228159*^9}, {3.806329665718793*^9, 3.8063298200016003`*^9}, {
   3.806329861003414*^9, 3.806329950378663*^9}, {3.806330020843253*^9, 
   3.806330455677145*^9}, {3.806330601552517*^9, 3.8063306574445143`*^9}, {
   3.806330695553845*^9, 3.806330786665391*^9}, {3.806333995797653*^9, 
   3.806334020054249*^9}, {3.8063340510611067`*^9, 3.806334068588121*^9}, {
   3.806334217929593*^9, 3.806334258032899*^9}, {3.806334739663993*^9, 
   3.806334809211975*^9}, {3.806334856564815*^9, 3.8063348567458076`*^9}, 
   3.8063901301082497`*^9, 3.806390206558824*^9, {3.80802052162921*^9, 
   3.80802053678111*^9}, {3.808027329532529*^9, 3.8080273433423357`*^9}, {
   3.808053604684926*^9, 3.808053605810635*^9}, {3.808054122475025*^9, 
   3.808054135278596*^9}, {3.8081319298547697`*^9, 3.808131932381501*^9}, {
   3.808140606460368*^9, 3.808140620431967*^9}, {3.808144433062372*^9, 
   3.808144435415187*^9}, {3.808151810620932*^9, 3.808151813061048*^9}, {
   3.8081537799073057`*^9, 3.808153781998229*^9}, {3.808153929419134*^9, 
   3.8081539311738234`*^9}, {3.827404105132184*^9, 3.827404130145343*^9}, {
   3.8274903702500563`*^9, 3.827490394607462*^9}, 3.831837443637801*^9, {
   3.844851111514977*^9, 3.844851136539393*^9}, {3.84485133215971*^9, 
   3.8448513841775*^9}, {3.84485230446354*^9, 3.84485237741507*^9}, {
   3.844852553158761*^9, 3.844852695400228*^9}, {3.844853589882082*^9, 
   3.844853590508933*^9}, 3.844855405427144*^9, {3.844855468596744*^9, 
   3.844855479620717*^9}, {3.844929933381521*^9, 3.844929959262126*^9}, {
   3.844929997543653*^9, 3.844930020647921*^9}, {3.844930100135304*^9, 
   3.844930106007593*^9}},ExpressionUUID->"d40365e6-5aba-42d8-9888-\
c9b478a1bb98"],

Cell[BoxData["\<\"sqrt(-1).*m1.*r.^(-2).*Re.^(-1).*eta1dmp(r).*uphi1dmp(r,z)+\
m1.^2.* ...\\n  r.^(-2).*Re.^(-1).*eta1dmp(r).*ur1dmp(r,z)+(-1/2).*Bo.^(-1).* \
...\\n  m1.^2.*r.^(-3).*eta1dmp(r).^2.*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2)+(-1).*eta1dmp(r).*Derivative(1) ...\\n  \
(eta1dmp)(r)+p1dmp(r,z).*Derivative(1)(eta1dmp)(r)+(-1).*Bo.^(-1) ...\\n  \
.*m1.^2.*r.^(-2).*eta1dmp(r).*(1+Derivative(1)(eta0)(r).^2).^( ...\\n  \
-5/2).*Derivative(1)(eta1dmp)(r)+(-2).*Bo.^(-1).*m1.^2.*r.^(-2).* ...\\n  \
eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r) ...\\n  \
.^2).^(-5/2).*Derivative(1)(eta1dmp)(r)+(-1).*Bo.^(-1).*m1.^2.* ...\\n  \
r.^(-2).*eta1dmp(r).*Derivative(1)(eta0)(r).^4.*(1+Derivative(1)( ...\\n  \
eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r)+3.*Bo.^(-1).* ...\\n  \
m1.^2.*r.^(-2).*eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1dmp)(r)+ ...\\n  \
Bo.^(-1).*r.^(-1).*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1dmp)(r).^2+Bo.^(-1).*r.^(-1).*Derivative(1)( ...\\n  \
eta0)(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)( ...\\n  \
eta1dmp)(r).^2+(3/2).*Bo.^(-1).*r.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^4.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp) ...\\n  \
(r).^2+(-3/2).*Bo.^(-1).*r.^(-1).*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1dmp)(r).^2+( ...\\n  \
-3/2).*Bo.^(-1).*m1.^2.*r.^(-2).*eta1dmp(r).^2.*Derivative(1)( ...\\n  \
eta0)(r).^3.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(2)( ...\\n  \
eta0)(r)+(1/2).*Bo.^(-1).*m1.^2.*r.^(-2).*eta1dmp(r).^2.* ...\\n  \
Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(2)(eta0)(r)+(-15/2).*Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^5.*(1+Derivative(1)(eta0)(r).^2).^(-7/2).*Derivative(1)(eta1dmp) ...\\n  \
(r).^2.*Derivative(2)(eta0)(r)+(-3).*Bo.^(-1).*Derivative(1)(eta0) ...\\n  \
(r).*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp) ...\\n  \
(r).^2.*Derivative(2)(eta0)(r)+9.*Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^3.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp) ...\\n  \
(r).^2.*Derivative(2)(eta0)(r)+(-3/2).*Bo.^(-1).*Derivative(1)( ...\\n  \
eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)( ...\\n  \
eta1dmp)(r).^2.*Derivative(2)(eta0)(r)+Bo.^(-1).*(1+Derivative(1)( ...\\n  \
eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r).*Derivative(2)( ...\\n  \
eta1dmp)(r)+Bo.^(-1).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)( ...\\n  \
eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r).*Derivative(2)( ...\\n  \
eta1dmp)(r)+3.*Bo.^(-1).*Derivative(1)(eta0)(r).^4.*(1+Derivative( ...\\n  \
1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r).*Derivative(2)( ...\\n  \
eta1dmp)(r)+(-3).*Bo.^(-1).*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(2)(eta1dmp)(r)+eta1dmp(r).*Derivative(1)(eta0)(r).* ...\\n  \
Derivative(0,1)(p1dmp)(r,z)+Re.^(-1).*eta1dmp(r).*Derivative(0,2)( ...\\n  \
ur1dmp)(r,z)+(sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(1,0)(uphi1dmp)(r,z)+(-2).*Re.^(-1).*Derivative(1)( ...\\n  \
eta1dmp)(r).*Derivative(1,0)(ur1dmp)(r,z)+(-2).*Re.^(-1).*eta1dmp( ...\\n  \
r).*Derivative(1)(eta0)(r).*Derivative(1,1)(ur1dmp)(r,z)+Re.^(-1) ...\\n  \
.*eta1dmp(r).*Derivative(1,1)(uz1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{{3.844930056635941*^9, 3.8449300668596354`*^9}},
 CellLabel->
  "Out[131]=",ExpressionUUID->"28b0c44a-ec3a-43bd-a99c-356a8ac612a2"],

Cell[BoxData["\<\"(sqrt(-1)*(-1)).*m1.*r.^(-1).*eta1dmp(r).^2+sqrt(-1).*m1.*r.\
^(-1) ...\\n  \
.*eta1dmp(r).*p1dmp(r,z)+2.*m1.^2.*r.^(-2).*Re.^(-1).*eta1dmp(r).* ...\\n  \
uphi1dmp(r,z)+(sqrt(-1)*(-2)).*m1.*r.^(-2).*Re.^(-1).*eta1dmp(r).* ...\\n  \
ur1dmp(r,z)+(sqrt(-1)*(-1)).*Bo.^(-1).*m1.^3.*r.^(-3).*eta1dmp(r) ...\\n  \
.^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2)+(sqrt(-1)*(-2)).*Bo.^( ...\\n  \
-1).*m1.^3.*r.^(-3).*eta1dmp(r).^2.*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-5/2)+(sqrt(-1)*(-1)).*Bo.^(-1).* ...\\n  \
m1.^3.*r.^(-3).*eta1dmp(r).^2.*Derivative(1)(eta0)(r).^4.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-5/2)+r.^(-1).*Re.^(-1).*uphi1dmp(r, ...\\n  \
z).*Derivative(1)(eta1dmp)(r)+(sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^( ...\\n  \
-1).*ur1dmp(r,z).*Derivative(1)(eta1dmp)(r)+sqrt(-1).*Bo.^(-1).* ...\\n  \
m1.*r.^(-2).*eta1dmp(r).*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1dmp)(r)+sqrt(-1).*Bo.^(-1).*m1.*r.^(-2).* ...\\n  \
eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r) ...\\n  \
.^2).^(-5/2).*Derivative(1)(eta1dmp)(r)+(sqrt(-1)*(-3)).*Bo.^(-1) ...\\n  \
.*m1.*r.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*(1+Derivative( ...\\n  \
1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r).*Derivative(2)( ...\\n  \
eta0)(r)+sqrt(-1).*Bo.^(-1).*m1.*r.^(-1).*eta1dmp(r).*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(2)(eta1dmp)(r)+ ...\\n  \
sqrt(-1).*Bo.^(-1).*m1.*r.^(-1).*eta1dmp(r).*Derivative(1)(eta0)( ...\\n  \
r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(2)( ...\\n  \
eta1dmp)(r)+r.^(-1).*Re.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r) ...\\n  \
.*Derivative(0,1)(uphi1dmp)(r,z)+(sqrt(-1)*(-1)).*m1.*r.^(-1).* ...\\n  \
Re.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative(0,1)( ...\\n  \
ur1dmp)(r,z)+sqrt(-1).*m1.*r.^(-1).*Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(0,1)(uz1dmp)(r,z)+Re.^(-1).*eta1dmp(r).*Derivative(0,2) ...\\n  \
(uphi1dmp)(r,z)+(-1).*Re.^(-1).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(1,0)(uphi1dmp)(r,z)+(-1).*Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(1)(eta0)(r).*Derivative(1,1)(uphi1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{{3.844930056635941*^9, 3.844930068619486*^9}},
 CellLabel->
  "Out[132]=",ExpressionUUID->"90482c50-e45e-4e7a-87b6-6211b033074e"],

Cell[BoxData["\<\"m1.^2.*r.^(-2).*Re.^(-1).*eta1dmp(r).*uz1dmp(r,z)+(1/2).*Bo.\
^(-1) ...\\n  .*m1.^2.*r.^(-3).*eta1dmp(r).^2.*Derivative(1)(eta0)(r).*(1+ \
...\\n  Derivative(1)(eta0)(r).^2).^(-3/2)+(-3).*Bo.^(-1).*m1.^2.*r.^(-2) ...\
\\n  .*eta1dmp(r).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r) ...\\n  \
.^2).^(-3/2).*Derivative(1)(eta1dmp)(r)+(-3/2).*Bo.^(-1).*r.^(-1) ...\\n  \
.*Derivative(1)(eta0)(r).^3.*(1+Derivative(1)(eta0)(r).^2).^(-5/2) ...\\n  \
.*Derivative(1)(eta1dmp)(r).^2+(3/2).*Bo.^(-1).*r.^(-1).* ...\\n  \
Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(1)(eta1dmp)(r).^2+(3/2).*Bo.^(-1).*m1.^2.*r.^(-2).* ...\\n  \
eta1dmp(r).^2.*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)( ...\\n  \
r).^2).^(-5/2).*Derivative(2)(eta0)(r)+(-1/2).*Bo.^(-1).*m1.^2.* ...\\n  \
r.^(-2).*eta1dmp(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(2)(eta0)(r)+(15/2).*Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^4.*(1+Derivative(1)(eta0)(r).^2).^(-7/2).*Derivative(1)(eta1dmp) ...\\n  \
(r).^2.*Derivative(2)(eta0)(r)+(-9).*Bo.^(-1).*Derivative(1)(eta0) ...\\n  \
(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)( ...\\n  \
eta1dmp)(r).^2.*Derivative(2)(eta0)(r)+(3/2).*Bo.^(-1).*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1dmp)(r).^2.* ...\\n  \
Derivative(2)(eta0)(r)+(-3).*Bo.^(-1).*Derivative(1)(eta0)(r).^3.* ...\\n  \
(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(2)(eta1dmp)(r)+3.*Bo.^(-1).*Derivative(1)(eta0)(r).*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(2)(eta1dmp)(r)+(-1).*eta1dmp(r).*Derivative(0,1)(p1dmp) ...\\n  \
(r,z)+(sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(0,1)(uphi1dmp)(r,z)+(-1).*Re.^(-1).*Derivative(1)( ...\\n  \
eta1dmp)(r).*Derivative(0,1)(ur1dmp)(r,z)+(-1).*Re.^(-1).*eta1dmp( ...\\n  \
r).*Derivative(1)(eta0)(r).*Derivative(0,2)(ur1dmp)(r,z)+2.*Re.^( ...\\n  \
-1).*eta1dmp(r).*Derivative(0,2)(uz1dmp)(r,z)+(-1).*Re.^(-1).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(1,0)(uz1dmp)(r,z)+(-1).* ...\\n  \
Re.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative(1,1)( ...\\n  \
uz1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{{3.844930056635941*^9, 3.844930070367517*^9}},
 CellLabel->
  "Out[133]=",ExpressionUUID->"26286da3-dd80-43a3-90f9-cb4b89d47a6d"],

Cell[BoxData["\<\"sqrt(-1).*m1.*r.^(-2).*Re.^(-1).*eta1dmp(r).*uphi1cmp(r,z)+(\
sqrt( ...\\n  \
-1)*(-1)).*m1.*r.^(-2).*Re.^(-1).*eta1cmp(r).*uphi1dmp(r,z)+(-1).* ...\\n  \
m1.^2.*r.^(-2).*Re.^(-1).*eta1dmp(r).*ur1cmp(r,z)+(-1).*m1.^2.* ...\\n  \
r.^(-2).*Re.^(-1).*eta1cmp(r).*ur1dmp(r,z)+Bo.^(-1).*m1.^2.*r.^( ...\\n  \
-3).*eta1cmp(r).*eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2)+(-1).*eta1dmp(r).*Derivative(1) ...\\n  \
(eta1cmp)(r)+p1dmp(r,z).*Derivative(1)(eta1cmp)(r)+(-1).*Bo.^(-1) ...\\n  \
.*m1.^2.*r.^(-2).*eta1dmp(r).*(1+Derivative(1)(eta0)(r).^2).^( ...\\n  \
-5/2).*Derivative(1)(eta1cmp)(r)+(-2).*Bo.^(-1).*m1.^2.*r.^(-2).* ...\\n  \
eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r) ...\\n  \
.^2).^(-5/2).*Derivative(1)(eta1cmp)(r)+(-1).*Bo.^(-1).*m1.^2.* ...\\n  \
r.^(-2).*eta1dmp(r).*Derivative(1)(eta0)(r).^4.*(1+Derivative(1)( ...\\n  \
eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp)(r)+(-1).*Bo.^(-1).* ...\\n  \
m1.^2.*r.^(-2).*eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1cmp)(r)+(-1) ...\\n  \
.*eta1cmp(r).*Derivative(1)(eta1dmp)(r)+p1cmp(r,z).*Derivative(1)( ...\\n  \
eta1dmp)(r)+(-1).*Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r)+(-2) ...\\n  \
.*Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).*Derivative(1)(eta0)(r) ...\\n  \
.^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp) ...\\n  \
(r)+(-1).*Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).*Derivative(1)( ...\\n  \
eta0)(r).^4.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)( ...\\n  \
eta1dmp)(r)+(-1).*Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).* ...\\n  \
Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(1)(eta1dmp)(r)+2.*Bo.^(-1).*r.^(-1).*(1+Derivative(1)( ...\\n  \
eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp)(r).*Derivative(1)( ...\\n  \
eta1dmp)(r)+2.*Bo.^(-1).*r.^(-1).*Derivative(1)(eta0)(r).^2.*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp)(r).* ...\\n  \
Derivative(1)(eta1dmp)(r)+3.*Bo.^(-1).*r.^(-1).*Derivative(1)( ...\\n  \
eta0)(r).^4.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)( ...\\n  \
eta1cmp)(r).*Derivative(1)(eta1dmp)(r)+(-3).*Bo.^(-1).*r.^(-1).* ...\\n  \
Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(1)(eta1cmp)(r).*Derivative(1)(eta1dmp)(r)+3.*Bo.^(-1).* ...\\n  \
m1.^2.*r.^(-2).*eta1cmp(r).*eta1dmp(r).*Derivative(1)(eta0)(r) ...\\n  \
.^3.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(2)(eta0)(r) ...\\n  \
+(-1).*Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).*eta1dmp(r).* ...\\n  \
Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(2)(eta0)(r)+(-15).*Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^5.*(1+Derivative(1)(eta0)(r).^2).^(-7/2).*Derivative(1)(eta1cmp) ...\\n  \
(r).*Derivative(1)(eta1dmp)(r).*Derivative(2)(eta0)(r)+(-6).*Bo.^( ...\\n  \
-1).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-5/2) ...\\n  \
.*Derivative(1)(eta1cmp)(r).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(2)(eta0)(r)+18.*Bo.^(-1).*Derivative(1)(eta0)(r).^3.*( ...\\n  \
1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp)(r).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(2)(eta0)(r)+(-3).*Bo.^(-1).* ...\\n  \
Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(1)(eta1cmp)(r).*Derivative(1)(eta1dmp)(r).*Derivative( ...\\n  \
2)(eta0)(r)+Bo.^(-1).*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(2)(eta1cmp)(r)+Bo.^(-1).* ...\\n  \
Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(2)(eta1cmp)(r)+3.*Bo.^(-1).* ...\\n  \
Derivative(1)(eta0)(r).^4.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(2)(eta1cmp)(r)+(-3).*Bo.^( ...\\n  \
-1).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r).^2).^( ...\\n  \
-3/2).*Derivative(1)(eta1dmp)(r).*Derivative(2)(eta1cmp)(r)+Bo.^( ...\\n  \
-1).*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp) ...\\n  \
(r).*Derivative(2)(eta1dmp)(r)+Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp) ...\\n  \
(r).*Derivative(2)(eta1dmp)(r)+3.*Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^4.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp) ...\\n  \
(r).*Derivative(2)(eta1dmp)(r)+(-3).*Bo.^(-1).*Derivative(1)(eta0) ...\\n  \
(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)( ...\\n  \
eta1cmp)(r).*Derivative(2)(eta1dmp)(r)+eta1dmp(r).*Derivative(1)( ...\\n  \
eta0)(r).*Derivative(0,1)(p1cmp)(r,z)+eta1cmp(r).*Derivative(1)( ...\\n  \
eta0)(r).*Derivative(0,1)(p1dmp)(r,z)+Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(0,2)(ur1cmp)(r,z)+Re.^(-1).*eta1cmp(r).*Derivative(0,2) ...\\n  \
(ur1dmp)(r,z)+(sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(1,0)(uphi1cmp)(r,z)+sqrt(-1).*m1.*r.^(-1).*Re.^(-1).* ...\\n  \
eta1cmp(r).*Derivative(1,0)(uphi1dmp)(r,z)+(-2).*Re.^(-1).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(1,0)(ur1cmp)(r,z)+(-2).* ...\\n  \
Re.^(-1).*Derivative(1)(eta1cmp)(r).*Derivative(1,0)(ur1dmp)(r,z)+ ...\\n  \
(-2).*Re.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative(1, ...\\n  \
1)(ur1cmp)(r,z)+(-2).*Re.^(-1).*eta1cmp(r).*Derivative(1)(eta0)(r) ...\\n  \
.*Derivative(1,1)(ur1dmp)(r,z)+Re.^(-1).*eta1dmp(r).*Derivative(1, ...\\n  \
1)(uz1cmp)(r,z)+Re.^(-1).*eta1cmp(r).*Derivative(1,1)(uz1dmp)(r,z) ...\\n  \
;\\n\"\>"], "Output",
 CellChangeTimes->{{3.844930056635941*^9, 3.844930072106984*^9}},
 CellLabel->
  "Out[134]=",ExpressionUUID->"aa56f1b5-0946-420f-8491-56ad782fef16"],

Cell[BoxData["\<\"sqrt(-1).*m1.*r.^(-1).*eta1dmp(r).*p1cmp(r,z)+(sqrt(-1)*(-1)\
).* ...\\n  \
m1.*r.^(-1).*eta1cmp(r).*p1dmp(r,z)+(-2).*m1.^2.*r.^(-2).*Re.^(-1) ...\\n  \
.*eta1dmp(r).*uphi1cmp(r,z)+(-2).*m1.^2.*r.^(-2).*Re.^(-1).* ...\\n  \
eta1cmp(r).*uphi1dmp(r,z)+(sqrt(-1)*(-2)).*m1.*r.^(-2).*Re.^(-1).* ...\\n  \
eta1dmp(r).*ur1cmp(r,z)+(sqrt(-1)*2).*m1.*r.^(-2).*Re.^(-1).* ...\\n  \
eta1cmp(r).*ur1dmp(r,z)+r.^(-1).*Re.^(-1).*uphi1dmp(r,z).* ...\\n  \
Derivative(1)(eta1cmp)(r)+(sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^(-1).* ...\\n  \
ur1dmp(r,z).*Derivative(1)(eta1cmp)(r)+sqrt(-1).*Bo.^(-1).*m1.* ...\\n  \
r.^(-2).*eta1dmp(r).*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1cmp)(r)+sqrt(-1).*Bo.^(-1).*m1.*r.^(-2).* ...\\n  \
eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)(eta0)(r) ...\\n  \
.^2).^(-5/2).*Derivative(1)(eta1cmp)(r)+r.^(-1).*Re.^(-1).* ...\\n  \
uphi1cmp(r,z).*Derivative(1)(eta1dmp)(r)+sqrt(-1).*m1.*r.^(-1).* ...\\n  \
Re.^(-1).*ur1cmp(r,z).*Derivative(1)(eta1dmp)(r)+(sqrt(-1)*(-1)).* ...\\n  \
Bo.^(-1).*m1.*r.^(-2).*eta1cmp(r).*(1+Derivative(1)(eta0)(r).^2) ...\\n  \
.^(-5/2).*Derivative(1)(eta1dmp)(r)+(sqrt(-1)*(-1)).*Bo.^(-1).* ...\\n  \
m1.*r.^(-2).*eta1cmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative( ...\\n  \
1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1dmp)(r)+(sqrt(-1)*(-3)) ...\\n  \
.*Bo.^(-1).*m1.*r.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp)(r).* ...\\n  \
Derivative(2)(eta0)(r)+(sqrt(-1)*3).*Bo.^(-1).*m1.*r.^(-1).* ...\\n  \
eta1cmp(r).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2) ...\\n  \
.^(-5/2).*Derivative(1)(eta1dmp)(r).*Derivative(2)(eta0)(r)+sqrt( ...\\n  \
-1).*Bo.^(-1).*m1.*r.^(-1).*eta1dmp(r).*(1+Derivative(1)(eta0)(r) ...\\n  \
.^2).^(-5/2).*Derivative(2)(eta1cmp)(r)+sqrt(-1).*Bo.^(-1).*m1.* ...\\n  \
r.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative(1)( ...\\n  \
eta0)(r).^2).^(-5/2).*Derivative(2)(eta1cmp)(r)+(sqrt(-1)*(-1)).* ...\\n  \
Bo.^(-1).*m1.*r.^(-1).*eta1cmp(r).*(1+Derivative(1)(eta0)(r).^2) ...\\n  \
.^(-5/2).*Derivative(2)(eta1dmp)(r)+(sqrt(-1)*(-1)).*Bo.^(-1).* ...\\n  \
m1.*r.^(-1).*eta1cmp(r).*Derivative(1)(eta0)(r).^2.*(1+Derivative( ...\\n  \
1)(eta0)(r).^2).^(-5/2).*Derivative(2)(eta1dmp)(r)+r.^(-1).*Re.^( ...\\n  \
-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative(0,1)(uphi1cmp) ...\\n  \
(r,z)+r.^(-1).*Re.^(-1).*eta1cmp(r).*Derivative(1)(eta0)(r).* ...\\n  \
Derivative(0,1)(uphi1dmp)(r,z)+sqrt(-1).*m1.*r.^(-1).*Re.^(-1).* ...\\n  \
eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative(0,1)(ur1cmp)(r,z)+( ...\\n  \
sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^(-1).*eta1cmp(r).*Derivative(1)( ...\\n  \
eta0)(r).*Derivative(0,1)(ur1dmp)(r,z)+(sqrt(-1)*(-1)).*m1.*r.^( ...\\n  \
-1).*Re.^(-1).*eta1dmp(r).*Derivative(0,1)(uz1cmp)(r,z)+sqrt(-1).* ...\\n  \
m1.*r.^(-1).*Re.^(-1).*eta1cmp(r).*Derivative(0,1)(uz1dmp)(r,z)+ ...\\n  \
Re.^(-1).*eta1dmp(r).*Derivative(0,2)(uphi1cmp)(r,z)+Re.^(-1).* ...\\n  \
eta1cmp(r).*Derivative(0,2)(uphi1dmp)(r,z)+(-1).*Re.^(-1).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(1,0)(uphi1cmp)(r,z)+(-1).* ...\\n  \
Re.^(-1).*Derivative(1)(eta1cmp)(r).*Derivative(1,0)(uphi1dmp)(r, ...\\n  \
z)+(-1).*Re.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative( ...\\n  \
1,1)(uphi1cmp)(r,z)+(-1).*Re.^(-1).*eta1cmp(r).*Derivative(1)( ...\\n  \
eta0)(r).*Derivative(1,1)(uphi1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{{3.844930056635941*^9, 3.844930073665243*^9}},
 CellLabel->
  "Out[135]=",ExpressionUUID->"f3f12515-77a2-4d7c-8645-341b4d22dfbe"],

Cell[BoxData["\<\"(-1).*m1.^2.*r.^(-2).*Re.^(-1).*eta1dmp(r).*uz1cmp(r,z)+(-1)\
.* ...\\n  m1.^2.*r.^(-2).*Re.^(-1).*eta1cmp(r).*uz1dmp(r,z)+(-1).*Bo.^(-1).* \
...\\n  m1.^2.*r.^(-3).*eta1cmp(r).*eta1dmp(r).*Derivative(1)(eta0)(r).*( ...\
\\n  1+Derivative(1)(eta0)(r).^2).^(-3/2)+Bo.^(-1).*m1.^2.*r.^(-2).* ...\\n  \
eta1dmp(r).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2) ...\\n  \
.^(-3/2).*Derivative(1)(eta1cmp)(r)+Bo.^(-1).*m1.^2.*r.^(-2).* ...\\n  \
eta1cmp(r).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2) ...\\n  \
.^(-3/2).*Derivative(1)(eta1dmp)(r)+(-3).*Bo.^(-1).*r.^(-1).* ...\\n  \
Derivative(1)(eta0)(r).^3.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).* ...\\n  \
Derivative(1)(eta1cmp)(r).*Derivative(1)(eta1dmp)(r)+3.*Bo.^(-1).* ...\\n  \
r.^(-1).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^( ...\\n  \
-3/2).*Derivative(1)(eta1cmp)(r).*Derivative(1)(eta1dmp)(r)+(-3).* ...\\n  \
Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).*eta1dmp(r).*Derivative(1)( ...\\n  \
eta0)(r).^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(2)( ...\\n  \
eta0)(r)+Bo.^(-1).*m1.^2.*r.^(-2).*eta1cmp(r).*eta1dmp(r).*(1+ ...\\n  \
Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(2)(eta0)(r)+15.* ...\\n  \
Bo.^(-1).*Derivative(1)(eta0)(r).^4.*(1+Derivative(1)(eta0)(r).^2) ...\\n  \
.^(-7/2).*Derivative(1)(eta1cmp)(r).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(2)(eta0)(r)+(-18).*Bo.^(-1).*Derivative(1)(eta0)(r) ...\\n  \
.^2.*(1+Derivative(1)(eta0)(r).^2).^(-5/2).*Derivative(1)(eta1cmp) ...\\n  \
(r).*Derivative(1)(eta1dmp)(r).*Derivative(2)(eta0)(r)+3.*Bo.^(-1) ...\\n  \
.*(1+Derivative(1)(eta0)(r).^2).^(-3/2).*Derivative(1)(eta1cmp)(r) ...\\n  \
.*Derivative(1)(eta1dmp)(r).*Derivative(2)(eta0)(r)+(-3).*Bo.^(-1) ...\\n  \
.*Derivative(1)(eta0)(r).^3.*(1+Derivative(1)(eta0)(r).^2).^(-5/2) ...\\n  \
.*Derivative(1)(eta1dmp)(r).*Derivative(2)(eta1cmp)(r)+3.*Bo.^(-1) ...\\n  \
.*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^(-3/2).* ...\\n  \
Derivative(1)(eta1dmp)(r).*Derivative(2)(eta1cmp)(r)+(-3).*Bo.^( ...\\n  \
-1).*Derivative(1)(eta0)(r).^3.*(1+Derivative(1)(eta0)(r).^2).^( ...\\n  \
-5/2).*Derivative(1)(eta1cmp)(r).*Derivative(2)(eta1dmp)(r)+3.* ...\\n  \
Bo.^(-1).*Derivative(1)(eta0)(r).*(1+Derivative(1)(eta0)(r).^2).^( ...\\n  \
-3/2).*Derivative(1)(eta1cmp)(r).*Derivative(2)(eta1dmp)(r)+(-1).* ...\\n  \
eta1dmp(r).*Derivative(0,1)(p1cmp)(r,z)+(-1).*eta1cmp(r).* ...\\n  \
Derivative(0,1)(p1dmp)(r,z)+(sqrt(-1)*(-1)).*m1.*r.^(-1).*Re.^(-1) ...\\n  \
.*eta1dmp(r).*Derivative(0,1)(uphi1cmp)(r,z)+sqrt(-1).*m1.*r.^(-1) ...\\n  \
.*Re.^(-1).*eta1cmp(r).*Derivative(0,1)(uphi1dmp)(r,z)+(-1).*Re.^( ...\\n  \
-1).*Derivative(1)(eta1dmp)(r).*Derivative(0,1)(ur1cmp)(r,z)+(-1) ...\\n  \
.*Re.^(-1).*Derivative(1)(eta1cmp)(r).*Derivative(0,1)(ur1dmp)(r, ...\\n  \
z)+(-1).*Re.^(-1).*eta1dmp(r).*Derivative(1)(eta0)(r).*Derivative( ...\\n  \
0,2)(ur1cmp)(r,z)+(-1).*Re.^(-1).*eta1cmp(r).*Derivative(1)(eta0)( ...\\n  \
r).*Derivative(0,2)(ur1dmp)(r,z)+2.*Re.^(-1).*eta1dmp(r).* ...\\n  \
Derivative(0,2)(uz1cmp)(r,z)+2.*Re.^(-1).*eta1cmp(r).*Derivative( ...\\n  \
0,2)(uz1dmp)(r,z)+(-1).*Re.^(-1).*Derivative(1)(eta1dmp)(r).* ...\\n  \
Derivative(1,0)(uz1cmp)(r,z)+(-1).*Re.^(-1).*Derivative(1)( ...\\n  \
eta1cmp)(r).*Derivative(1,0)(uz1dmp)(r,z)+(-1).*Re.^(-1).*eta1dmp( ...\\n  \
r).*Derivative(1)(eta0)(r).*Derivative(1,1)(uz1cmp)(r,z)+(-1).* ...\\n  \
Re.^(-1).*eta1cmp(r).*Derivative(1)(eta0)(r).*Derivative(1,1)( ...\\n  \
uz1dmp)(r,z);\\n\"\>"], "Output",
 CellChangeTimes->{{3.844930056635941*^9, 3.844930075242189*^9}},
 CellLabel->
  "Out[136]=",ExpressionUUID->"505296bc-5a4a-45cc-a3b8-3f2d99f2d328"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8062312212111483`*^9, 3.806231221579866*^9}, {
   3.806390194851158*^9, 3.806390204672442*^9}, {3.808021521363969*^9, 
   3.808021995108891*^9}, {3.80802209462086*^9, 3.808022208275045*^9}, {
   3.808022258874045*^9, 3.808022280844817*^9}, {3.80802236717865*^9, 
   3.808022398416992*^9}, {3.8080224387786503`*^9, 3.8080224571695223`*^9}, {
   3.808022501634851*^9, 3.808022501769079*^9}, {3.808022538547318*^9, 
   3.8080226168044043`*^9}, 3.8080226621698933`*^9, {3.808022817230756*^9, 
   3.808022856038213*^9}, {3.8080230396961412`*^9, 3.808023064625671*^9}, {
   3.8080231046296177`*^9, 3.8080231066509438`*^9}, {3.808023143337266*^9, 
   3.808023143759117*^9}, {3.808026177279669*^9, 3.808026614887885*^9}, {
   3.808026667566924*^9, 3.808026669124939*^9}, {3.80802673472761*^9, 
   3.8080267903161592`*^9}, {3.808026828705896*^9, 3.808026873190477*^9}, {
   3.8080269369009867`*^9, 3.808026971743264*^9}, {3.808027036848072*^9, 
   3.808027091620665*^9}, {3.808027387635803*^9, 3.808027520915825*^9}, {
   3.8080275555407267`*^9, 3.808027608304735*^9}, {3.8080276836902037`*^9, 
   3.808027698620879*^9}, 3.8080532738811083`*^9, {3.808053305070809*^9, 
   3.808053308669732*^9}, {3.808053386810439*^9, 3.8080533874218197`*^9}, 
   3.808053940904544*^9, {3.808054002948655*^9, 3.8080540719870777`*^9}, {
   3.808121702983369*^9, 3.808121703052639*^9}, 3.808131984862959*^9, {
   3.8081320870279093`*^9, 3.808132192386964*^9}, {3.808132290458268*^9, 
   3.80813229241006*^9}, 3.808132600432248*^9, 3.808132875721483*^9, {
   3.808132935202302*^9, 3.808132943999517*^9}, {3.8081350257150583`*^9, 
   3.808135026763341*^9}, {3.808135075344377*^9, 3.808135093531931*^9}, {
   3.8081351362771053`*^9, 3.8081351595711823`*^9}, {3.808135760615803*^9, 
   3.80813576578137*^9}, {3.80813580548096*^9, 3.808135817964572*^9}, {
   3.808135851817643*^9, 3.808135862987859*^9}, 3.808135902114596*^9, 
   3.8081359814691143`*^9, {3.808136725613697*^9, 3.8081367947520447`*^9}, 
   3.808136825381975*^9, {3.808137154629437*^9, 3.808137200815279*^9}, {
   3.8081372343192883`*^9, 3.808137262790756*^9}, 3.808138054224592*^9, 
   3.808138200208037*^9, {3.8081444516017313`*^9, 3.808144463625552*^9}, {
   3.808144721629004*^9, 3.8081447416826468`*^9}, 3.808151299378847*^9, 
   3.808151728459023*^9, 3.8274041579082212`*^9, {3.844852673106847*^9, 
   3.844852923578158*^9}, {3.8448529934031*^9, 3.844853003863676*^9}, 
   3.8449299956453943`*^9},
 CellLabel->
  "In[137]:=",ExpressionUUID->"e3b23cbe-56f7-40a8-bf41-da0adf17c030"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.808053328516164*^9, 3.80805335573383*^9}, {
   3.808053399864846*^9, 3.808053570800984*^9}, {3.808053638506839*^9, 
   3.80805365446809*^9}, {3.808053911934846*^9, 3.80805392477776*^9}, {
   3.80805404589678*^9, 3.808054049094801*^9}, 3.808135987666889*^9, {
   3.808136277675782*^9, 3.808136279168893*^9}, {3.8081365673919077`*^9, 
   3.808136571395216*^9}, {3.8081369670475683`*^9, 3.808136970400806*^9}, {
   3.80813714407069*^9, 3.8081371496387453`*^9}, 3.808137359733893*^9, {
   3.8081378468977327`*^9, 3.8081378481316137`*^9}, {3.808138047327325*^9, 
   3.808138049562893*^9}, {3.808144563518021*^9, 3.808144564938532*^9}, {
   3.808144749358755*^9, 3.808144752452054*^9}, 3.8081509895415487`*^9, {
   3.808151060338723*^9, 3.808151061940477*^9}, {3.808151287586195*^9, 
   3.808151289050544*^9}, {3.808151359919669*^9, 3.808151444972313*^9}, {
   3.808151482240725*^9, 3.808151591317966*^9}, {3.808151670273078*^9, 
   3.808151671631138*^9}, {3.8081517233384027`*^9, 3.8081517489937162`*^9}, {
   3.808151803463069*^9, 3.808151804252792*^9}, {3.8081537973285*^9, 
   3.808153799323419*^9}, {3.808153969034563*^9, 3.808153972376225*^9}, {
   3.844852944120352*^9, 3.8448529723152113`*^9}, 3.8449300060709343`*^9},
 CellLabel->
  "In[138]:=",ExpressionUUID->"23d5703c-d3fa-4ba5-9968-8d4d1113dd2d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.808053628411306*^9, 3.808053628863215*^9}, 
   3.8080537372653*^9, {3.8080537847317457`*^9, 3.80805380925517*^9}, {
   3.8080538532877083`*^9, 3.80805388418756*^9}, {3.808054167779193*^9, 
   3.808054210339758*^9}, {3.80805424627772*^9, 3.808054254648245*^9}, {
   3.80805429229642*^9, 3.808054358266954*^9}, {3.8080543939245863`*^9, 
   3.80805442348059*^9}, {3.8080547575942783`*^9, 3.808054766910104*^9}, {
   3.808153869751862*^9, 3.808153878297084*^9}, {3.827404267289122*^9, 
   3.8274042989234953`*^9}, 3.827404388628605*^9, {3.827490414288641*^9, 
   3.82749052518356*^9}, {3.844853020458112*^9, 3.844853152337288*^9}, {
   3.844853209925021*^9, 3.84485321806491*^9}, {3.844853251661096*^9, 
   3.844853258026681*^9}, {3.844853297673769*^9, 3.84485331947229*^9}, {
   3.8448555612973843`*^9, 3.844855580513526*^9}, {3.844930013155283*^9, 
   3.8449300231871977`*^9}},
 CellLabel->
  "In[139]:=",ExpressionUUID->"c77dc275-a961-4659-9c0b-79de25cc6383"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8080544320456867`*^9, 3.808054467257607*^9}, {
   3.808054769706449*^9, 3.808054777055437*^9}, {3.808153883592985*^9, 
   3.808153897871313*^9}, {3.8274043022486153`*^9, 3.827404305573333*^9}, 
   3.827490416790823*^9},
 CellLabel->
  "In[140]:=",ExpressionUUID->"1527091a-4f5f-485d-94e7-477efc2399fc"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.808054473897594*^9, 3.808054529180313*^9}, {
  3.8080547787437563`*^9, 3.808054789589675*^9}, {3.808153902848679*^9, 
  3.808153908479148*^9}, {3.827404307222892*^9, 3.827404310850423*^9}, {
  3.8274904188573*^9, 3.82749041938727*^9}},
 CellLabel->
  "In[141]:=",ExpressionUUID->"d3deea19-269d-42a7-81b3-9bbb3be24a63"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.808054512914844*^9, 3.808054559783628*^9}, {
   3.8080547919896507`*^9, 3.808054801369569*^9}, {3.8081539108019247`*^9, 
   3.80815391910824*^9}, 3.827404274794389*^9, 3.8274905277996683`*^9},
 CellLabel->
  "In[142]:=",ExpressionUUID->"46ac0deb-c1c7-4a6e-b6aa-1f763380f4ed"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.808054568003151*^9, 3.808054597189283*^9}, {
  3.808054629356135*^9, 3.808054637430171*^9}, {3.808054803048704*^9, 
  3.808054809484706*^9}, {3.80815392122314*^9, 3.808153926331411*^9}, {
  3.8274042854848337`*^9, 3.827404314393549*^9}},
 CellLabel->
  "In[143]:=",ExpressionUUID->"1f9afabb-b641-45e6-a529-5a0ab30647da"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.80806204361378*^9, 3.808062081277231*^9}, {
   3.808065829137205*^9, 3.808065840754538*^9}, {3.808122108325688*^9, 
   3.808122117434141*^9}, {3.808123631310493*^9, 3.808123641037133*^9}, {
   3.8081319732268133`*^9, 3.8081319752688704`*^9}, {3.8081518309728947`*^9, 
   3.808151845106021*^9}, {3.808152890360606*^9, 3.808152899519053*^9}, {
   3.80815322138699*^9, 3.808153255973526*^9}, {3.827404322930263*^9, 
   3.827404420360086*^9}, {3.827404468226576*^9, 3.827404481168829*^9}, {
   3.827468644211214*^9, 3.8274686485806704`*^9}, {3.8274704120911417`*^9, 
   3.827470417617592*^9}, {3.827471585135293*^9, 3.827471590802123*^9}, {
   3.827478849064507*^9, 3.827478876693293*^9}, {3.827478922326747*^9, 
   3.827478930725021*^9}, {3.8274904268663607`*^9, 3.8274904273652678`*^9}, {
   3.8274905361633797`*^9, 3.827490557457955*^9}, {3.827495424294286*^9, 
   3.827495436999824*^9}, 3.844851463651795*^9, {3.8448525165870247`*^9, 
   3.844852522375943*^9}, {3.8448530858470793`*^9, 3.844853132993392*^9}, {
   3.8448540353114223`*^9, 3.8448540356465807`*^9}, 3.844930018479436*^9},
 CellLabel->
  "In[144]:=",ExpressionUUID->"8f3034ed-0316-4f30-a5e1-843c88cefdef"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Once", " ", "the", " ", "second", " ", "order", " ", "solution", " ", 
     "is", " ", "computed"}], ",", " ", 
    RowBox[{"it", " ", "can", " ", "be", " ", "defined", " ", "here", " ", 
     RowBox[{"(", 
      RowBox[{"as", " ", "a", " ", "symbolic", " ", "expression"}], ")"}], 
     " ", "by", " ", "analogy", " ", "with", " ", "the", " ", "first", " ", 
     "order", " ", 
     RowBox[{"solution", ".", " ", "After"}], " ", "that"}], ",", " ", 
    RowBox[{
     RowBox[{"third", "-", 
      RowBox[{
      "order", " ", "resonating", " ", "terms", " ", "can", " ", "be", " ", 
       "easily", " ", "extracted", " ", "from", " ", "the", " ", "third", " ",
        "order", " ", "terms", " ", "as", " ", "briefly", " ", "shown", " ", 
       "below", " ", "for", " ", "the", " ", "wave", " ", "with", " ", 
       RowBox[{"\"\<+m1\>\"", " ", "--"}]}]}], ">", " ", 
     RowBox[{"exp", 
      RowBox[{"(", 
       RowBox[{"i", "*", "w", "*", "t"}], ")"}], "*", "exp", 
      RowBox[{"(", 
       RowBox[{"i", "*", "m", "*", "phi"}], ")"}], "*", "Adp"}]}]}], " ", 
   "*)"}], " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"ur2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"ur2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"ur2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"uphi2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"uphi2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"uphi2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"uz2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"uz2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"uz2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"p2", "[", 
     RowBox[{"r_", ",", "phi_", ",", "z_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"p2dApdApd", "[", 
        RowBox[{"r", ",", "z"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"p2ApdApc", "[", 
        RowBox[{"r", ",", "z"}], "]"}]}], "+"}], "..."}]}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"eta2", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "^", "2"}], ")"}], "*", 
       RowBox[{"eta2dApdApd", "[", "r", "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "w", "*", "t"}], "]"}], "*", 
       RowBox[{"Exp", "[", 
        RowBox[{"I", "*", "2", "*", "m1", "*", "phi"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Apd", "*", "Apc"}], ")"}], "*", 
       RowBox[{"eta2ApdApc", "[", "r", "]"}]}], "+"}], "..."}]}], " ", "*)"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"DynamicEPS3rApdApcApd", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"DynamicEPS2r", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "w", "*", "t"}], "]"}]}], "]"}], "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "]"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc", "*", "Apd"}]}], "]"}], "]"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"DynamicEPS3phiApdApcApd", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"DynamicEPS2phi", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "w", "*", "t"}], "]"}]}], "]"}], "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "]"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc", "*", "Apd"}]}], "]"}], "]"}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"DynamicEPS3zApdApcApd", "[", 
     RowBox[{"r_", ",", "phi_"}], "]"}], ":=", 
    RowBox[{"Expand", "[", 
     RowBox[{"Coefficient", "[", 
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Expand", "[", 
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"DynamicEPS2z", "[", 
              RowBox[{"r", ",", "phi"}], "]"}], ",", 
             RowBox[{"Exp", "[", 
              RowBox[{"I", "*", "w", "*", "t"}], "]"}]}], "]"}], "]"}], ",", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", "m1", "*", "phi"}], "]"}]}], "]"}], "]"}], ",", 
       RowBox[{"Apd", "*", "Apc", "*", "Apd"}]}], "]"}], "]"}]}], " ", "*)"}],
   "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.84485336712632*^9, 3.844853367526219*^9}, {
  3.844853413084525*^9, 3.844853502009984*^9}, {3.844853538264133*^9, 
  3.844853576147107*^9}, {3.8448556633248262`*^9, 3.844855664887554*^9}},
 CellLabel->
  "In[145]:=",ExpressionUUID->"25d9ada4-61f0-4080-85ee-9c18a1202d12"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"<<", "ToMatlab`"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS3rApdApd", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS3phiApdApd", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], " ", "*)"}], " ", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ToMatlab", "[", 
    RowBox[{"DynamicEPS3zApdApd", "[", 
     RowBox[{"r", ",", "phi"}], "]"}], "]"}], " ", "*)"}], " "}]], "Input",
 CellChangeTimes->{{3.844853372591489*^9, 3.844853382606331*^9}, {
  3.844853514765383*^9, 3.844853528648714*^9}},
 CellLabel->
  "In[146]:=",ExpressionUUID->"c29da86b-116f-400d-9a89-b7e54c0b267f"]
},
WindowSize->{Full, Full},
WindowMargins->{{Automatic, -1858}, {39, Automatic}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c0e6fee8-8e07-4c3a-b2cf-b64506e90be4"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 68173, 1841, 2523, "Code",ExpressionUUID->"d40365e6-5aba-42d8-9888-c9b478a1bb98"],
Cell[68598, 1858, 3666, 49, 1022, "Output",ExpressionUUID->"28b0c44a-ec3a-43bd-a99c-356a8ac612a2"],
Cell[72267, 1909, 2321, 32, 644, "Output",ExpressionUUID->"90482c50-e45e-4e7a-87b6-6211b033074e"],
Cell[74591, 1943, 2432, 33, 686, "Output",ExpressionUUID->"26286da3-dd80-43a3-90f9-cb4b89d47a6d"],
Cell[77026, 1978, 5810, 79, 1631, "Output",ExpressionUUID->"aa56f1b5-0946-420f-8491-56ad782fef16"],
Cell[82839, 2059, 3588, 49, 1001, "Output",ExpressionUUID->"f3f12515-77a2-4d7c-8645-341b4d22dfbe"],
Cell[86430, 2110, 3661, 49, 1022, "Output",ExpressionUUID->"505296bc-5a4a-45cc-a3b8-3f2d99f2d328"]
}, Open  ]],
Cell[90106, 2162, 2567, 36, 30, "Input",ExpressionUUID->"e3b23cbe-56f7-40a8-bf41-da0adf17c030"],
Cell[92676, 2200, 1371, 19, 52, "Input",ExpressionUUID->"23d5703c-d3fa-4ba5-9968-8d4d1113dd2d"],
Cell[94050, 2221, 1007, 15, 30, "Input",ExpressionUUID->"c77dc275-a961-4659-9c0b-79de25cc6383"],
Cell[95060, 2238, 351, 6, 30, "Input",ExpressionUUID->"1527091a-4f5f-485d-94e7-477efc2399fc"],
Cell[95414, 2246, 367, 6, 30, "Input",ExpressionUUID->"d3deea19-269d-42a7-81b3-9bbb3be24a63"],
Cell[95784, 2254, 324, 5, 30, "Input",ExpressionUUID->"46ac0deb-c1c7-4a6e-b6aa-1f763380f4ed"],
Cell[96111, 2261, 369, 6, 30, "Input",ExpressionUUID->"1f9afabb-b641-45e6-a529-5a0ab30647da"],
Cell[96483, 2269, 1236, 17, 52, "Input",ExpressionUUID->"8f3034ed-0316-4f30-a5e1-843c88cefdef"],
Cell[97722, 2288, 7518, 197, 283, "Input",ExpressionUUID->"25d9ada4-61f0-4080-85ee-9c18a1202d12"],
Cell[105243, 2487, 871, 22, 145, "Input",ExpressionUUID->"c29da86b-116f-400d-9a89-b7e54c0b267f"]
}
]
*)

